<?php
/**
 * dashboard.php
 *
 * This is an example of the main page of a website. Here
 * users will be able to login. However, like on most sites
 * the login form doesn't just have to be on the main page,
 * but re-appear on subsequent pages, depending on whether
 * the user has logged in or not.
 */
 
include("incs/session.php");

$pagename = "Dashboard" ;

require_once 'header.php';
?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class="fa fa-dashboard"></i> <?php echo $pagename; ?> </h1>
                    </div>
                    
								<?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								$req_user_profile = $database->getUserPData($req_user);

                                /**
                                 * User has already logged in, so display relavent links, including
                                 * a link to the admin center if the user is an administrator.
                                 */
                  if($session->logged_in){
                                   
                     if($session->isAdmin()){?>
                <!-- /.row -->
                <div class="col-lg-12 col-md-12">
                	
                    <p><font size="-2" color="#0099FF">You are logged in as an Administrator </font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5>Track Analysis</h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                                <form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <!-- =================================== Managing Director ==================================== -->
            <?php
             } else if($session->isMd()){?>
                <!-- /.row -->
                <div class="col-lg-12 col-md-12">
                     
                    <p><font size="-2" color="#0099FF">You are logged in as Managing Director </font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <!-- =================================== Officer  ==================================== -->
            <?php
             } else if($session->isOff()){?>
                <div class="col-lg-12 col-md-12">
                     
                    <p><font size="-2" color="#0099FF">You are logged in as an Officer </font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <!-- =========================================== Accounts ============================= -->
            
            <?php
               } else if($session->isAc()){?>
				<div class="col-lg-12 col-md-12">
                     
                    <p><font size="-2" color="#0099FF">You are logged in as an Accountant </font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <!-- =========================================== Performance ============================= -->
            
            <?php
               } else if($session->isPerf()){?>
				<div class="col-lg-12 col-md-12">
                     
                    <p><font size="-2" color="#0099FF">You are logged in as Performance Supervisor</font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <?php
               } else if($session->isTrack()){?>
				<div class="col-lg-12 col-md-12">
                	
                    <p><font size="-2" color="#0099FF">You are logged in as Tracking Supervisor</font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            <!-- ========================================================== -->
            <?php
               } else if($session->isDisp()){?>
				<div class="col-lg-12 col-md-12">
                     
                    <p><font size="-2" color="#0099FF">You are logged in as Dispatch Rider </font></p>
                    
                     <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5>Notifications <b>Always check this board for updates on consignment delivery status</b></h5>
                        </div>
                        <div class="panel-body">
                        	<?php
								$sql = mysql_query("SELECT * FROM recorddelivery ORDER BY last_updated ASC LIMIT 10") 
									or die(mysql_error());
								if(mysql_num_rows($sql) > 0){?>
                                	<p><b>The following consignment(s) have been successfully delivered, see details below</b>:</p>
                            
                                    <table class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                         <thead>
                                             <tr>
                                                 <th>Airway Bill Number</th>
                                                 <th>Recipient's Name</th>
                                                 <th>Receiver's Name</th>
                                                 <th>Collection Office</th>
                                                 <th>Releasing Staff</th>
                                                 <th>Comment</th>
                                                 <th>Delivery Date</th>
                                             </tr>
                                         </thead>
                                         <tbody>
                             		<?php
									while ($row = mysql_fetch_array($sql)) {
										$deliveryDate = date('l, F d Y ', strtotime($row['deliveryDate']));
                               		?>
                               
                                 <tr class='odd gradeX'>
                                     <td><?php echo $row['awbNumbers']; ?></td>
                                     <td><?php echo $row['recipientName']; ?></td>
                                     <td><?php echo $row['receiversName']; ?></td>
                                     <td><?php echo $row['collectionOffice']; ?></td>
                                     <td><?php echo $row['releasingStaff']; ?></td>
                                     <td><?php echo $row['comments']; ?></td>
                                     <td><?php echo $deliveryDate; ?></td>
                                 </tr>
                                <?php
								
									}
								
								?>
                        	</tbody>
                           
                       </table>
                       
                        <a href='allDelivery.php' class='btn btn-success'><font color='#FFFFFF'><i class='fa fa-eye'></i>  View All </font></a>
                        <?php
					   	} else {
									 echo "No delivery record at the moment.";
						} ?>
               			</div>
                     </div>
                </div>    
				<div class="col-lg-9 col-md-9">
                
                    <div class="panel panel-default">
                        <div class="panel-heading">
                        	<h5><b>Consignment Search Engine</b>: Enter Your Search Variable(s) Below &amp; Hit Search Button</b></h5>
                        </div>
                        <div class="panel-body">
                        	<div class="input-group custom-search-form col-lg-12 col-md-12">
                            	<form action="allTrackk.php" method="GET">
                                    <fieldset>
                                        <div class="form-group input-group">
                                            <input id="search-box"  pattern=".{3,}"   title="Enter at least 3 characters"  type="text" class="form-control" required  autocomplete="off" placeholder="AirWay Bill Number or  Reference Number or Client Name or Sender's Name or Receiver's Name" name="awbNumber" />
                                            <span class="input-group-btn">
                                                <button class="btn btn-success" type="submit" name="submit"><i class='fa fa-cubes fa'></i>  Search </button>
                                            </span>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                            
                            <div class="row">
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-green">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noOffx = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-home fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noOffx; ?></div>
                                                    <div><br />Office Locations</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-red">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM client";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noClient = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-users fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noClient; ?></div>
                                                    <div><br />Registered Clients</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-primary">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM consignment";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noCons = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-cubes fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noCons; ?></div>
                                                    <div><br />Registered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                                <div class="col-lg-3 col-md-6">
                                    <div class="panel panel-yellow">
                                        <?php 
											$query = "SELECT COUNT(id) as `num` FROM recorddelivery";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$noDelivery = $row['num'];
										?>
                                        <div class="panel-heading">
                                            <div class="row">
                                                <div class="col-xs-3">
                                                    <i class="fa fa-truck fa-5x"></i>
                                                </div>
                                                <div class="col-xs-9 text-right">
                                                    <div class="huge"><?php echo $noDelivery; ?></div>
                                                    <div><br />Delivered Consignments</div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            <!-- /.row -->
                            
               			</div>
                     </div>
                      
                     
                </div>
                
                <!--- ===================================== seperate ============================================ -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                        	Important !!!
                        </div>
                        <div class="panel-body">
                        	<p>Activities on this portal is being monitored, and reports generated. You are adviced to perform actions relating to your designated job function only.</p>
                            <p>You can as well use the <b>Error Report</b> menu on your left side bar.</p>
               			 </div>
                     </div>
                     
                </div>
            <!-- /.row -->
            
            <!-- =========================================== END Dispatch ============================= -->
            
            <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>
                                
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>
