<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Update Office Record" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                       <h1 class="page-header"><i class='fa fa-map-marker fa'></i> Office Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allOffice.php"> Manage Office </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								//$req_sub = $database->getSub($req_user);
								$req_user_info = $database->getUserInfo($req_user);
								
								if($session->logged_in){
                                   
                                   if($session->isAdmin()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               	if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$id				 = filter_var($_POST['id'], FILTER_SANITIZE_STRING);
									$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$oCity			 = filter_var($_POST['oCity'], FILTER_SANITIZE_STRING);
									$oName			 = filter_var($_POST['oName'], FILTER_SANITIZE_STRING);
									$oPhone			 = filter_var($_POST['oPhone'], FILTER_SANITIZE_STRING);
									$oTime			 = filter_var($_POST['oTime'], FILTER_SANITIZE_STRING);
									$oMail			 = filter_var($_POST['oMail'], FILTER_SANITIZE_STRING);
									$oRelStaff		 = filter_var($_POST['oRelStaff'], FILTER_SANITIZE_STRING);
									$address		 = filter_var($_POST['address'], FILTER_SANITIZE_STRING);
									$last_updated	 = date('Y-m-d H:i:s');
										
										//  appraisee_reaction 	last_updated 
										$sql = "UPDATE office 
											SET oCity='$oCity',
											oName='$oName',
											oPhone='$oPhone',
											oTime='$oTime',
											oMail='$oMail',
											oRelStaff='$oRelStaff',
											address='$address',
											createdBy='$username',
											last_updated='$last_updated'
											WHERE id='".$id."'";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'>(<b>$oName</b>) has been updated successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
										
										
										//  Fetch region record
										// oCity 	oName 	oPhone 	oTime 	oMail 	oRelStaff 	address 	createdBy 	last_updated 
										if(isset($_GET['id']))
										{
											$query = $_GET['id'];
											$sql="SELECT * FROM office WHERE id ='$query' ";
											$retvall = mysql_query( $sql, $conn );
											if(mysql_num_rows($retvall) > 0){
												while($row = mysql_fetch_array($retvall)){
													$oCity 		= $row['oCity'];
													$oName 		= $row['oName']; 
													$oPhone		= $row['oPhone'];
													$oTime 		= $row['oTime']; 
													$oMail 		= $row['oMail'];
													$oRelStaff	= $row['oRelStaff']; 
													$address	= $row['address'];
													$id 		= $row['id']; 
												}
									?> 
								<form action="editOffice.php" method="POST">
									<fieldset>
									<div class="form-group input-group">
									<span class="input-group-addon">City <i class='fa fa-map-marker fa' style='color: red;'></i> </span>
										<select class="form-control" name="oCity" id="oCity">
                  							<option value="<?php if (!empty($oCity)) echo $oCity; ?>"><?php if (!empty($oCity)) { echo $oCity; } else { echo "Choose Office City "; } ?></option>
                                            <?php
												$sql="SELECT cName FROM city";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>    
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Office Name <i class='fa fa-tag fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Office Name"  name="oName" type="text" value="<?php echo $oName; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Phone <i class='fa fa-phone fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Office Phone"  name="oPhone" type="text" value="<?php echo $oPhone; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Working Hours <i class='fa fa-clock-o fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Office Working Hours "  name="oTime" type="text" value="<?php echo $oTime; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office E-mail <i class='fa fa-envelope fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Office Email Address "  name="oMail" type="email" value="<?php echo $oMail; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Contact Staff <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="oRelStaff" id="oRelStaff">
                  							<option value="<?php if (!empty($oRelStaff)) echo $oRelStaff; ?>"><?php if (!empty($oRelStaff)) { echo $oRelStaff; } else { echo "Choose Office Contact Staff "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="address" id="address" placeholder="Enter Office Contact Address Here " class="form-control"><?php echo $address; ?></textarea>
									</div>
                                        <input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Save/Update Office Record " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
                            <?php
							
											}
											else {
												echo "No record found"; 
											}
										}	
										?>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>