<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Profile Editor" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-edit fa'></i> <?php echo $pagename; ?> </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="userinfo.php?user=<?php echo $username; ?>">Staff Profile </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_profile = $database->getUserPData($req_user);
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                       if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isAc() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                                    if( $_POST )
									{
										// Clean up data then Assign the input values to variables for easy reference
										$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
										$staffName		 = filter_var($_POST['staffName'], FILTER_SANITIZE_STRING);
										$dob			 = filter_var($_POST['dob'], FILTER_SANITIZE_STRING);
										$phoneNumber	 = filter_var($_POST['phoneNumber'], FILTER_SANITIZE_STRING);
										$gender			 = filter_var($_POST['gender'], FILTER_SANITIZE_STRING);
										$maritalStatus	 = filter_var($_POST['maritalStatus'], FILTER_SANITIZE_STRING);
										$address		 = filter_var($_POST['address'], FILTER_SANITIZE_STRING);
										
										// staffName 	dob 	phoneNumber 	gender 	maritalStatus 	address 	dp 		
										$sql = "UPDATE staff 
											SET staffName='$staffName',
											dob='$dob',
											phoneNumber='$phoneNumber',
											gender='$gender',
											maritalStatus='$maritalStatus',
											address='$address'
											WHERE username='".$username."'";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'>Dear (<b>$staffName </b>) your profile has been updated successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
										
										$gender				= $req_user_profile['gender'];
										$maritalStatus		= $req_user_profile['maritalStatus'];
										
										// staffName 	dob 	phoneNumber 	gender 	maritalStatus 	address 	dp
									?> 
								<form action="editProfile.php" method="POST">
									<fieldset>
									<div class="form-group input-group">
									<span class="input-group-addon">Full Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Your Full Name (Surname First)"  name="staffName" type="text" value="<?php echo $req_user_profile['staffName']; ?>">
									</div>
									
                                    <div class="form-group input-group">
									<span class="input-group-addon">Date of Birth (YYYY-MM-DD) <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Your Date of Birth (e.g: 1941-01-01)" type="text" name="dob" maxlength="60" value="<?php echo $req_user_profile['dob']; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Gender <i class='fa fa-child fa' style='color: red;'></i></span>
                                        <select class="form-control" name="gender" id="gender">
                                            <option value="<?php if (!empty($gender)) echo $gender; ?>"><?php if (!empty($gender)) { echo $gender; } else { echo "Choose Your Sex"; } ?></option>
                                            <option value="Female">Female </option>
                                            <option value="Male">Male </option>
                                        </select>
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Marital Status <i class='fa fa-life-ring fa' style='color: red;'></i></span>
										<select class="form-control" name="maritalStatus" id="maritalStatus">
                                            <option value="<?php if (!empty($maritalStatus)) echo $maritalStatus; ?>"><?php if (!empty($maritalStatus)) { echo $maritalStatus; } else { echo "Choose Your Marital Status"; } ?></option>
                                            <option value="Single">Single </option>
                                            <option value="Married">Female </option>
                                            <option value="Divorced">Divorced </option>
                                        </select>
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Mobile Number <i class='fa fa-phone fa' style='color: red;'></i></span>
										<input class="form-control" placeholder="Enter Your Official Mobile Number (e.g: Tracker Number)" type="text" name="phoneNumber" value="<?php echo $req_user_profile['phoneNumber']; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="address" id="address" placeholder="Enter Your Contact Address Here " class="form-control"><?php echo $req_user_profile['address']; ?></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Save/Update My Staff Profile " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>Ensure you fill the form with accurate data.</p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                    <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>
