<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Update Vendor Record" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                       <h1 class="page-header"><i class='fa fa-wrench fa'></i> Vendor Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allVendor.php"> Manage Vendors </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								//$req_sub = $database->getSub($req_user);
								$req_user_info = $database->getUserInfo($req_user);
								
								if($session->logged_in){
                                   
                                   if($session->isAdmin()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               	if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$id				 = filter_var($_POST['id'], FILTER_SANITIZE_STRING);
									$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$vName			 = filter_var($_POST['vName'], FILTER_SANITIZE_STRING);
									$vPerson		 = filter_var($_POST['vPerson'], FILTER_SANITIZE_STRING);
									$vPhone			 = filter_var($_POST['vPhone'], FILTER_SANITIZE_STRING);
									$vFax			 = filter_var($_POST['vFax'], FILTER_SANITIZE_STRING);
									$vMail			 = filter_var($_POST['vMail'], FILTER_SANITIZE_STRING);
									$vRelStaff		 = filter_var($_POST['vRelStaff'], FILTER_SANITIZE_STRING);
									$address		 = filter_var($_POST['address'], FILTER_SANITIZE_STRING);
									$last_updated	 = date('Y-m-d H:i:s');
										
										//  appraisee_reaction 	last_updated 
										$sql = "UPDATE vendor 
											SET vName='$vName',
											vPerson='$vPerson',
											vPhone='$vPhone',
											vFax='$vFax',
											vMail='$vMail',
											vRelStaff='$vRelStaff',
											address='$address',
											createdBy='$username',
											last_updated='$last_updated'
											WHERE id='".$id."'";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'>(<b>$vName</b>) has been updated successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
										
										
										//  Fetch region record
										
										if(isset($_GET['id']))
										{
											$query = $_GET['id'];
											$sql="SELECT * FROM vendor WHERE id ='$query' ";
											$retvall = mysql_query( $sql, $conn );
											if(mysql_num_rows($retvall) > 0){
												while($row = mysql_fetch_array($retvall)){
													$vName 			= $row['vName'];
													$vPerson	 	= $row['vPerson']; 
													$vPhone			= $row['vPhone'];
													$vFax 			= $row['vFax']; 
													$vMail 			= $row['vMail'];
													$vRelStaff 		= $row['vRelStaff']; 
													$address		= $row['address'];
													$id 			= $row['id']; 
												}
												//  cName, cPerson, cPhone, cFax, cMail, cChargeType, cRelStaff, address,
										
									?> 
								<form action="editVendor.php" method="POST">
									<fieldset>
									<div class="form-group input-group">
									<span class="input-group-addon">Vendor's Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Client Name"  name="vName" type="text" value="<?php echo $vName; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor's Contact Person <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Client Contact Person"  name="vPerson" type="text" value="<?php echo $vPerson; ?>">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Vendor's Phone <i class='fa fa-phone fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Client Phone Number"  name="vPhone" type="text" value="<?php echo $vPhone; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor's Fax <i class='fa fa-fax fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Client Fax Number"  name="vFax" type="text" value="<?php echo $vFax; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor's E-mail Address <i class='fa fa-envelope fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Client Email Address "  name="vMail" type="email" value="<?php echo $vMail; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor's Contact Staff <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="vRelStaff" id="vRelStaff">
                  							<option value="<?php if (!empty($vRelStaff)) echo $vRelStaff; ?>"><?php if (!empty($vRelStaff)) { echo $vRelStaff; } else { echo "Choose Vendor's Contact Staff "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="address" id="address" placeholder="Enter Office Contact Address Here " class="form-control"><?php echo $address; ?></textarea>
									</div>
                                    
                                        <input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Save/Update Vendor's Record " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
                            <?php
							
											}
											else {
												echo "No record found"; 
											}
										}	
										?>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>