<?php
  
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   

include("incs/session.php");
$pagename = "Forgot Password";

?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>XL Tracking App : <?php echo $pagename; ?></title>
    
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="images/kecIcon.png"/>

    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="css/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="font-awesome-4.1.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
            	
                <div class="login-panel panel panel-default">
               		<div class="logHead"><img src="images/logo.png" alt="logo"></div>
                	  <div class="panel-heading">
                      	<h3 class="panel-title" align="center">Forgot Password</h3>
                    </div>
                    <div class="panel-body">

						<?php
                        /**
                         * Forgot Password form has been submitted and no errors
                         * were found with the form (the username is in the database)
                         */
                        if(isset($_SESSION['forgotpass'])){
                           /**
                            * New password was generated for user and sent to user's
                            * email address.
                            */
                           if($_SESSION['forgotpass']){
                              echo "<h3><font color='green'><i class='fa fa-key fa' style='color: green;'></i> New Password Generated</font>, You can either </h3>";
                              echo "<p>Your new password has been generated and sent to the email associated with your account. "
                                  ."<a href='index.php' class='btn btn-success'><i class='fa fa-log-in fa' style='color: green;'></i> Login Here</a>.</p>";
                           }
                           /**
                            * Email could not be sent, therefore password was not
                            * edited in the database.
                            */
                           else{
							   echo "<h3><font color='green'><i class='fa fa-key fa' style='color: red;'></i> New Password Failure</font>, You can either </h3>";
							   echo "<p>There was an error sending you the email with the new password, so your password has not been changed. "
                                  ."<a href='forgotpass.php.php' class='btn btn-warning'><i class='fa fa-refresh fa' style='color: orange;'></i> Try Again</a>.</p>";
                           }
                               
                           unset($_SESSION['forgotpass']);
                        }
                        else{
                        
                        /**
                         * Forgot password form is displayed, if error found
                         * it is displayed.
                         */
                        ?>
                        
                        <h5>A new password will be generated for you and sent to the <b>email address associated with your account</b>, all you have to do is enter your
                        username.<br></h5>
                        <?php echo $form->error("user"); ?>
                        <form action="process.php" method="POST">
                        <div class="form-group input-group">
                           <span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                           <input class="form-control" placeholder="Username" type="text" name="user" maxlength="30" value="<?php echo $form->value("user"); ?>">
                       </div>
                        <input type="hidden" name="subforgot" value="1">
                        <input type="submit" value="Get New Password"  class="btn btn-lg btn-success btn-block">
                        </form>
                        <hr>
                        <p>Oops!!! I just remembered my password. <a href="login.php">Sign In Here <i class='fa fa-sign-in fa' style='color: green;'></i></a>
                        
                        <hr><h6 align="center"><font color="#023456">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<a href="login.php"><?php echo APP_VERSION; ?></a><font color="#048abc"> &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.esolutionsnig.com">eSolutions</a></i></font></h6>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

	<script type="text/javascript">
       $('.datepicker').datepicker()
    </script>
    
    <!-- jQuery -->
    <script src="js/jquery.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="js/plugins/metisMenu/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="js/sb-admin-2.js"></script>
    
    

</body>

</html>