<?php
error_reporting(E_ALL ^ E_DEPRECATED);

/**
 * Constants.php
 *
 */
 
/**
 * Database Constants - these constants are required
 * in order for there to be a successful connection
 * to the MySQL database. Make sure the information is
 * correct.
 */
define("DB_SERVER", "localhost");
define("DB_USER", "xlafr0_esolution");//enter your database username
define("DB_PASS", "G0DHELPME");//databse password
define("DB_NAME", "xlafr0_trackapp");//database name
define("APP_NAME", "XL Courier Tracker");

/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */
define("TBL_USERS", "users");
define("TBL_ACTIVE_USERS",  "active_users");
define("TBL_ACTIVE_GUESTS", "active_guests");
define("TBL_BANNED_USERS",  "banned_users");

// Define App Version
define("APP_VERSION", "Courier Tracker 2.0");


/**
 * Special Names and Level Constants - the admin
 * page will only be accessible to the user with
 * the admin name and also to those users at the
 * admin user level. Feel free to change the names
 * and level constants as you see fit, you may
 * also add additional level specifications.
 * Levels must be digits between 0-9.
 */
define("ADMIN_NAME", "System Administrator");
define("MD_NAME", "Managing Director");
define("OFF_NAME", "Officer");
define("AC_NAME", "Accounting Officer");
define("PERF_NAME", "Performance Officer");
define("TRACK_NAME", "Tracking Officer");
define("DISP_NAME", "Staff");
define("GUEST_NAME", "Guest");
define("ADMIN_LEVEL", 9);
define("MD_LEVEL", 8);
define("OFF_LEVEL",  7);
define("AC_LEVEL", 6);
define("PERF_LEVEL", 5);
define("TRACK_LEVEL",  4);
define("DISP_LEVEL", 1);
define("GUEST_LEVEL", 0);

/**
 * This boolean constant controls whether or
 * not the script keeps track of active users
 * and active guests who are visiting the site.
 */
define("TRACK_VISITORS", true);

/**
 * Timeout Constants - these constants refer to
 * the maximum amount of time (in minutes) after
 * their last page fresh that a user and guest
 * are still considered active visitors.
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
define("COOKIE_EXPIRE", 60*60*24*100);  //100 days by default
define("COOKIE_PATH", "/");  //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "XL Courier Tracking Application");
define("EMAIL_FROM_ADDR", "courier@xlafricagroup.com");
define("EMAIL_WELCOME", false);//set this false if you do not want your users to receive a welcome Email after registration

/**
 * This constant forces all users to have
 * lowercase usernames, capital letters are
 * converted automatically.
 */
define("ALL_LOWERCASE", false);
?>
