<?php
/**
 * index.php
 *
 */
 // Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
 $pagename = "Sign In";
 
include("incs/session.php");
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>XL Tracking App : <?php echo $pagename; ?></title>
    
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="images/xl.png"/>

    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="css/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="font-awesome-4.1.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
            	<div class="login-panel panel panel-default">
                	<div class="logHead"><img src="images/logo.png" alt="logo"></div>
                	  <div class="panel-heading">
                      <?php $current_year =  date("Y"); ?>
                        <h3 class="panel-title"><?php if($session->logged_in){ echo "Welcome <b>$session->username</b> to ".APP_NAME .". ". $current_year . " edition"; } else { echo "Please Sign In <font color='#af0000'><i> all fields are required</i></font>"; } ?></h3>
                    </div>
                    <div class="panel-body">
						<?php
                        /**
                         * User has already logged in, so display relavent links, including
                         * a link to the admin center if the user is an administrator.
                         */
                        if($session->logged_in){
                           echo "<h3><font color='green'><i class='fa fa-unlock fa' style='color: green;'></i> Access Granted</font>, You can either </h3>";
                          
                           echo "<a href='dashboard.php' class='btn btn-lg btn-success btn-block'>Click To Continue</a>";
                            echo "<p align='center'>OR </p>";
                           echo "<a href='process.php' class='btn btn-lg btn-warning btn-block'>Changed Your Mind, and Log Out</a>";?>
						   <hr><h6 align="center"><font color="#023456">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<a href="login.php"><?php echo APP_VERSION; ?></a><font color="#048abc"> &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.xlafricagroup.com">ICT Unit &rarr; XL AFRICA GROUP LTD</a></i></font></h6>
<?php
                        }
                        else{
                        
                        /**
                         * User not logged in, display the login form.
                         * If user has already tried to login, but errors were
                         * found, display the total number of errors.
                         * If errors occurred, they will be displayed.
                         */
						 
                        if($form->num_errors > 0){
							
						   echo "<h3><font color='red'><i class='fa fa-lock fa' style='color: red;'></i> Access Denied </font></h3>";
						 
                           echo "<font size=\"2\" color=\"#af0000\">".$form->num_errors." error(s) found</font>";
                        }
                        ?>
                        <form action="process.php" method="POST">
                            <fieldset>
                                <div class="form-group input-group">
                                	<span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Username" type="text" name="user" maxlength="30" value="" autofocus><?php echo $form->error("user"); ?>
                                </div>
                                <div class="form-group input-group">
                                	<span class="input-group-addon">Password <i class='fa fa-key fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Password" type="password" name="pass" maxlength="30" value=""><?php echo $form->error("pass"); ?>
                                </div>
                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" name="remember" <?php if($form->value("remember") != ""){ echo "checked"; } ?>>Remember me next time
                                    </label>
                                </div>
                                <input type="hidden" name="sublogin" value="1">
                                <input type="submit" value="Login" class="btn btn-lg btn-success btn-block">
                                <hr>
                                <a href="forgotpass.php">Forgot Password?</a>
                            </fieldset>
                        </form>
                        <hr><h6 align="center"><font color="#023456">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<a href="login.php"><?php echo APP_VERSION; ?></a><font color="#048abc"> &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.xlafricagroup.com">ICT Unit &rarr; XL AFRICA GROUP LTD</a></i></font></h6>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

	<script type="text/javascript">
       $('.datepicker').datepicker()
    </script>
    
    <!-- jQuery -->
    <script src="js/jquery.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="js/plugins/metisMenu/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="js/sb-admin-2.js"></script>
    
    

</body>

</html>