<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Charge Client" ;



require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allCharge.php"> Manage Payment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Select CLIENT NAME, then START and END date and click NEXT to continue </h3>
                                    </div>
                                    <div class="panel-body">
                                    <?php
									//Start passing values through session array
									$errors = array();	
									if(empty($_POST)=== false){
										
										$required_fields = array('cName','from_date','to_date');
											foreach($_POST as $key=>$value){
												if(empty($value) && in_array($key,$required_fields)===true){
													$errors[] = 'All fields are required';
													break 1;
												}
											}
										
										}
										if(empty($_POST)===false && empty($errors)=== true){
											$_SESSION['cName'] = $_POST['cName']; 
											$_SESSION['from_date'] = $_POST['from_date'];
											$_SESSION['to_date'] = $_POST['to_date'];
											header("location: chargeClient.php?ok");
											exit(); 
										}else if(empty($errors)=== false){
											print_r($errors);
										}
										?>
								<form action="" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
										<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<select class="form-control" name="cName" id="cName" required>
                  							<option value="<?php if (!empty($cName)) echo $cName; ?>"><?php if (!empty($cName)) { echo $cName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT DISTINCT cName FROM consignment";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>
                                        
									</div>
                                    <div class="form-group input-group">
										<span class="input-group-addon">Date Range <small>(YYYY-MM-DD)</small> <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Start Date Here "  name="from_date" id="from_date" type="text" required>
                                        <input class="form-control" placeholder="Enter End Date Here "  name="to_date" id="to_date" type="text" required>
									</div>
                                     
                                    
                                    <div class="form-group input-group">
										<input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <button type="submit" class="btn btn-lg btn-success btn-block"> NEXT  <i class='fa fa-arrow-right fa'></i> </button>
									</div>
									
								</fieldset>
							</form>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>