<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Charge Client" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allCharge.php"> Manage Payment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$cName			 = filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
									$awbNumber		 = filter_var($_POST['awbNumber'], FILTER_SANITIZE_STRING);
									$charge			 = filter_var($_POST['charge'], FILTER_SANITIZE_STRING);
									$amtCharge		 = filter_var($_POST['amtCharge'], FILTER_SANITIZE_STRING);
									$totalAmount	 = filter_var($_POST['totalAmount'], FILTER_SANITIZE_STRING);
									$last_updated	 = date('Y-m-d H:i:s');
										
										// Insert into database
										
										$sql = "INSERT INTO charge (cName, awbNumber, charge, amtCharge, totalAmount, createdBy, last_updated) VALUES ('$cName', '$awbNumber', '$charge', '$amtCharge', '$totalAmount', '$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'><b>$cName</b>'s has been charged successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
									?> 
								<form action="newCharge.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<select class="form-control" name="cName" id="cName">
                  							<option value="<?php if (!empty($cName)) echo $cName; ?>"><?php if (!empty($cName)) { echo $cName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT DISTINCT cName FROM consignment";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Airway Bill Number <i class='fa fa-tag fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Consignment Airway Bill Number"  name="awbNumber" type="text">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Charge Type (Fixed = 0.5 or Others) <i class='fa fa-tags fa' style='color: red;'></i> </span>
										<input oninput="calculate()"  class="form-control" placeholder="Enter Charge Value"  name="charge" type="text" id="charge">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Amount Charged <i class='fa fa-money fa' style='color: red;'></i> </span>
										<input oninput="calculate()" class="form-control" placeholder="Enter Charge Value"  name="amtCharge" type="text" id="amtCharge">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Total Amount <i class='fa fa-money fa' style='color: red;'></i> </span>
										<input class="form-control" readonly name="totalAmount" id="totalAmount" type="text">
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Charge Client " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>