<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Client Transactions" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="payments.php"> All Payments </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                            	<div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Kindly fill the form with <b>accurate data</b></h3>
                                    </div>
                                    <div class="panel-body">
                                    
                                    <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$cName			 = filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
									$iRefNumber		 = filter_var($_POST['iRefNumber'], FILTER_SANITIZE_STRING);
									$iDate			 = filter_var($_POST['iDate'], FILTER_SANITIZE_STRING);
									$bankName		 = filter_var($_POST['bankName'], FILTER_SANITIZE_STRING);
									$iBankRef		 = filter_var($_POST['iBankRef'], FILTER_SANITIZE_STRING);
									$iAmount		 = filter_var($_POST['iAmount'], FILTER_SANITIZE_STRING);
									$last_updated	 = date('Y-m-d H:i:s');
										
										// Insert into database
										
										$sql = "INSERT INTO payment (iRefNumber, cName, iDate, iAmount, bankName, iBankRef, createdBy, last_updated) VALUES ('$iRefNumber', '$cName', '$iDate', '$iAmount', '$bankName', '$iBankRef', '$username', '$last_updated')";
										
										//`id`, `iRefNumber`, `cName`, `iDate`, `iAmount`, `iBankRef`, `createdBy`, `last_updated`		
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'><b>$cName</b>'s payment has been recorded successfully</font> &nbsp; &nbsp; <a href='newPayment.php' class='btn btn-success'> Record Another Payment</a><h4><hr>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
									?> 
                               
                                    <form action="newPayment.php" method="POST">
                                        <fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<select class="form-control" name="cName" id="cName">
                  							<option value="<?php if (!empty($cName)) echo $cName; ?>"><?php if (!empty($cName)) { echo $cName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT DISTINCT cName FROM consignment";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Invoice Reference Number <i class='fa fa-tags fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Invoice Reference Number"  name="iRefNumber" type="text" required>
									</div>
									<div class="form-group input-group">
                                        <span class="input-group-addon">Invoice Issuance Date <i class='fa fa-calendar fa' style='color: red;'></i> </span>
                                            <input class="form-control" placeholder="Enter Invoice Date (e.g: 2015-10-10)"  name="iDate" type="text" required>
                                    </div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Bank Name <i class='fa fa-bank fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Bank Reference Number"  name="bankName" type="text" required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Bank Reference Number <i class='fa fa-tags fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Bank Reference Number"  name="iBankRef" type="text" required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Amount Recieved <i class='fa fa-money fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Amount Recieved"  name="iAmount" type="text" required>
									</div>
                                    
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Record Client Payment " class="btn btn-lg btn-success btn-block">
								</fieldset>
                                </form>
								</div>
							</div>
                            
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>