<?php

include("incs/session.php");
require 'incs/functions.php';

$pagename = "Delivery" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Consignment Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allConsignments.php"> Manage Consignment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 	= filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$cName			 	= filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
									$awbNumbers			= filter_var($_POST['awbNumbers'], FILTER_SANITIZE_STRING);
									$recipientName		= filter_var($_POST['recipientName'], FILTER_SANITIZE_STRING);
									$receiversName		= filter_var($_POST['receiversName'], FILTER_SANITIZE_STRING);
									$collectionOffice	= filter_var($_POST['collectionOffice'], FILTER_SANITIZE_STRING);
									$releasingStaff		= filter_var($_POST['releasingStaff'], FILTER_SANITIZE_STRING);
									$deliveryDate		= filter_var($_POST['deliveryDate'], FILTER_SANITIZE_STRING);
									$comments			= filter_var($_POST['comments'], FILTER_SANITIZE_STRING);
									$last_updated		= date('Y-m-d H:i:s');
										
								//` awbNumbers`, `recipientName`, `receiversName`, `collectionOffice`, `releasingStaff`, `deliveryDate`, `comments`,
										// Insert into database
										$sql = "INSERT INTO recorddelivery (`cName`, `awbNumbers`, `recipientName`, `receiversName`, `collectionOffice`, `releasingStaff`, `deliveryDate`, `comments`, `createdBy`, `last_updated`) 
										VALUES ('$cName', '$awbNumbers', '$recipientName', '$receiversName', '$collectionOffice', '$releasingStaff', '$deliveryDate', '$comments','$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											
											// Update
											$sql = "UPDATE track 
												SET status='Delivered',
												comments='$comments',
												createdBy='$username',
												last_updated='$last_updated'
												WHERE awbNumber='".$awbNumbers."'";
												
												if (mysql_query($sql, $conn)) {
													// Update
													$ql = "UPDATE consignment 
														SET deliveryStatus='Delivered' WHERE awbNumber='".$awbNumbers."'";
														if (mysql_query($ql, $conn)) {
															echo "<h4><font color='green'></font><h4>";									
															} else {
															echo "Error: " . $ql . "<br>" . mysql_error($conn);
														}
													echo "<h4><font color='green'></font><h4>";									
													} else {
													echo "Error: " . $sql . "<br>" . mysql_error($conn);
												}
										
											echo "<h4><font color='green'>Consignment with Airway bill number <b>$awbNumbers</b> has been delivered successfully to <b><i>$recipientName</i></b>.</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
									?> 
								<form action="recordDelivery.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<select class="form-control" name="cName" id="cName">
                  							<option value="<?php if (!empty($cName)) echo $cName; ?>"><?php if (!empty($cName)) { echo $cName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT cName FROM consignment";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Airway Bill Number <i class='fa fa-tag fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Consignment Airway Bill Number"  name="awbNumbers" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Receiver's Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Name Here"  name="receiversName" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Recipient's Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Name Here"  name="recipientName" type="text">
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Collection Office <i class='fa fa-university fa' style='color: red;'></i> </span>
										<select class="form-control" name="collectionOffice" id="collectionOffice">
                  							<option value="<?php if (!empty($collectionOffice)) echo $collectionOffice; ?>"><?php if (!empty($collectionOffice)) { echo $collectionOffice; } else { echo "Choose Colection Office "; } ?></option>
                                            <?php
												$sql="SELECT oName FROM office";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$oName 		= $row['oName'];?>
                                                        <option value="<?php echo $oName; ?>"><?php echo $oName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                     
                                    <div class="form-group input-group">
									<span class="input-group-addon">Releasing Staff <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="releasingStaff" id="releasingStaff">
                  							<option value="<?php if (!empty($releasingStaff)) echo $releasingStaff; ?>"><?php if (!empty($releasingStaff)) { echo $releasingStaff; } else { echo "Choose Releasing Staff "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Delivery Date <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Delivery Date Here"  name="deliveryDate" type="text">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Comment <i class='fa fa-comment-o fa' style='color: red;'></i></span>
										<textarea name="comments" id="comments" placeholder="Enter Comment Here " class="form-control"></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Record Delivery " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
                            
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  } 
				  else{
					 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='dashboard.php'>Please Return Home</a></h3>";
									   
				} 
              }
              
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>