<?php
/*******************************************###############################################**************************************
** Application Developed By: Ernest Ibeh (www.esolutionsnig.com		e.ibeh@esolutionsnig.com		+234 802 068 9069 )         *
**     																															*
********************************************###############################################*************************************/
include("incs/session.php");

$pagename = "Search Result" ;
include("incs/paginationProfile.php");
require_once 'header.php';
include("incs/functions.php");
?>

<?php
    $query = $_GET['user'];
    // gets value sent over search form
     
    $min_length = 3;
    // you can set minimum length of the query if you want
     
    if(strlen($query) >= $min_length){ // if query length is more or equal minimum length then
         
        $query = htmlspecialchars($query);
        // changes characters used in html to their equivalents, for example: < to &gt;
         
        $query = mysql_real_escape_string($query);
        // makes sure nobody uses SQL injection
         
		 // Paginate the result
		 $page = (int)(!isset($_GET["page"]) ? 1 : $_GET["page"]);
         if ($page <= 0) $page = 1;
         $per_page = 3; // Set how many records do you want to display per page.
         $startpoint = ($page * $per_page) - $per_page;
         $statement = "`profile` ORDER BY `id` ASC"; // Change `records` according to your table name.
		 
         $raw_results = mysql_query("SELECT * FROM profile
            WHERE (`username` LIKE '%".$query."%') OR (`surname` LIKE '%".$query."%') OR (`otherNames` LIKE '%".$query."%') OR (`firstName` LIKE '%".$query."%') OR (`phone_number` LIKE '%".$query."%') LIMIT {$startpoint} , {$per_page}") or die(mysql_error());
             
        if(mysql_num_rows($raw_results) > 0){ // if one or more rows are returned do following
             
?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                        <h1 class="page-header"><i class="fa fa-server"></i> <?php echo $pagename; ?> </h1>
                    </div>
                <!-- /.col-lg-12 -->
            	<div class="col-lg-12 col-md-12">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                        	<h5><b>Search</b>: Enter staff's <b> username, Tracker Number or Name</b> in the search box and hit the <b>Enter Buton</b></h5>
                        </div>
                        <div class="panel-body">
                        	<form action="search.php" method="GET">
                               <div class="form-group input-group">
                                  <input type="text" class="form-control" required placeholder="e.ibeh@xlafricagroup.com" name="query" id="query" />
                                  <span class="input-group-btn">
                                  <input type="submit" class="btn btn-outline btn-success" value="Search">
                                  </span></div> 
                   		    </form> 
                            
               			</div>
                     </div>
                     
                     <div class="panel panel-primary">
                        <div class="panel-heading">
                        	<h5>Quick Search: Showing Result For <b><?php echo $query; ?></b></h5>
                        </div>
                        <div class="panel-body">
                        
            				<table class="table">
                                 <thead>
                                 	<tr>
                                    	<th>Staff Username</th>
                                        <th>Staff Name</th>
                                        <th>Contact Number</th>
                                        <th>Contact Address</th>
                                        <th>Action</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    
                                     <?php while($row = mysql_fetch_array($raw_results)){
										 $full_name = $row['surname']. " " . $row['firstName']. " ". $row['otherNames'] ;
									$dobr = $row['dob'];
									$username = $row['username'];
									$gender = $row['gender'];
									$marital_status = $row['marital_status'];
									$phone_number = $row['phone_number'];
									$address = $row['address1']. " " . $row['address2']. " ". $row['state']. ", ". $row['country'] ;
									$pics = $row['dp'];
									
									// Display Date and Time
									$dob = date('Y-m-d', strtotime(str_replace('-','/', $dobr)));
									// Get the staff age
									$syear = date("Y");	
									$sage = $syear - $dob;
									 
									 //$cv = $req_user_profile['cv'];
									  
									 if ($pics == "") { $pics = "author.png"; } else { $pics  = $pics; }
							
									 ?>
                                     <tr>
                                        <td><?php echo $username; ?></td>
                                        <td><?php echo $full_name; ?></td>
                                     	<td><?php echo $phone_number; ?></td>
                                     	<td><?php echo $address; ?></td>
                                     	<?php  echo   "<td><a href='userinfo.php?user=".$row['username']."' target='_blank'><i class='fa fa-eye' style='color: green;'></i>  View Staff Profile </a> </td>"; ?>
                                     </tr>
                                        
                                 </tbody>
                            </table>
                            
                            <?php echo pagination($statement,$per_page,$page,$url='?'); ?>
                            
               			</div>
                     </div>
                     
                </div>
               
		<?php
            }
             
        }
        else{ // if there is no matching rows do following?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><?php echo $pagename; ?></h1>
                    </div>
                    <!-- /.col-lg-12 -->
                    
                    <div class="col-lg-8">
                       <div class="panel-body">
                       <?php
            echo "Your search - <b>" . $query . "</b> - did not match any record. <br>
			Suggestions:
			<ul>
				<li>Make sure that all words are spelled correctly.</li>
				<li>Try different keywords.</li>
				<li>Try more general keywords.</li>
				<li>Try fewer keywords.</li>
			</ul>";
			
		}
	}
    else{ // if query length is less than minimum
        echo "Minimum length is ".$min_length;
    }
?>
                    </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->



<?php
  // Insert the page footer
  require_once('footer.php');
?>
