<?php

include("incs/session.php");
require 'incs/functions.php';

$pagename = "Consignment Status" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Consignment Tracker </h1>
                        <p><a href="dashboard.php">Home</a> &rarr;  <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isAc() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 	= filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$awbNumber			= filter_var($_POST['awbNumber'], FILTER_SANITIZE_STRING);
									$clientName		 	= filter_var($_POST['clientName'], FILTER_SANITIZE_STRING);
									$currentLocation	= filter_var($_POST['currentLocation'], FILTER_SANITIZE_STRING);
									$status				= filter_var($_POST['status'], FILTER_SANITIZE_STRING);
									$comment			= filter_var($_POST['comment'], FILTER_SANITIZE_STRING);
									$last_updated		= date('Y-m-d H:i:s');
										
										// Insert into database
										$sql = "INSERT INTO track (`awbNumber`, `clientName`, `currentLocation`, `status`, `comments`, `createdBy`, `last_updated`) 
										VALUES ('$awbNumber', '$clientName', '$currentLocation', '$status', '$comment', '$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'>Consignment with Airway bill number <b>$awbNumber</b> status has been updated successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
									?> 
								<form action="track.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Airway Bill Number <i class='fa fa-tag fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Consignment Airway Bill Number"  name="awbNumber" maxlength="7" type="text" required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Client Name <i class='fa fa-home fa' style='color: red;'></i> </span>
										<select class="form-control" name="clientName" id="clientName"  required>
                  							<option value="<?php if (!empty($clientName)) echo $clientName; ?>"><?php if (!empty($clientName)) { echo $clientName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT cName FROM client";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Current Location (City) <i class='fa fa-map-marker fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Sender's Name "  name="currentLocation" type="text">
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Status <i class='fa fa-code-fork fa' style='color: red;'></i> </span>
										<select class="form-control" name="status" id="status">
                  							<option value="<?php if (!empty($status)) echo $status; ?>"><?php if (!empty($status)) { echo $status; } else { echo "Choose Consignment Status "; } ?></option>
                                            <option value="Arrived Abia State">Arrived Abia State</option>
                                            <option value="Arrived Adamawa State">Arrived Adamawa State</option>
                                            <option value="Arrived Akwa-Ibom State">Arrived Akwa-Ibom State</option>
                                            <option value="Arrived Anambra State">Arrived Anambra State</option>
                                            <option value="Arrived Bauchi State">Arrived Bayelsa State</option>
                                            <option value="Arrived Bayelsa State">Arrived Bauchi State</option>
                                            <option value="Arrived Bebue State">Arrived Benue State</option>
                                            <option value="Arrived Borno State">Arrived Borno State</option>
                                            <option value="Arrived Cross River State">Arrived Cross River State</option>
                                            <option value="Arrived Delta State">Arrived Delta State</option>
                                            <option value="Arrived Ebonyi State">Arrived Ebonyi State</option>
                                            <option value="Arrived Edo State">Arrived Edo State</option>
                                            <option value="Arrived Ekiti State">Arrived Ekiti State</option>
                                            <option value="Arrived Enugu State">Arrived Enugu State</option>
                                            <option value="Arrived Gombe State">Arrived Gombe State</option>
                                            <option value="Arrived Imo State">Arrived Imo State</option>
                                            <option value="Arrived Jigawa State">Arrived Jigawa State</option>
                                            <option value="Arrived Kaduna State">Arrived Kaduna State</option>
                                            <option value="Arrived Kano State">Arrived Kano State</option>
                                            <option value="Arrived Katsina State">Arrived Katsina State</option>
                                            <option value="Arrived Kebbi State">Arrived Kebbi State</option>
                                            <option value="Arrived Kogi State">Arrived Kogi State</option>
                                            <option value="Arrived Kwara State">Arrived Kwara State</option>
                                            <option value="Arrived Lagos State">Arrived Lagos State</option>
                                            <option value="Arrived Nasarawa State">Arrived Nasarawa State</option>
                                            <option value="Arrived Niger State">Arrived Delta State</option>
                                            <option value="Arrived Ogun State">Arrived Ogun State</option>
                                            <option value="Arrived Ondo State">Arrived Ondo State</option>
                                            <option value="Arrived Osun State">Arrived Osun State</option>
                                            <option value="Arrived Oyo State">Arrived Oyo State</option>
                                            <option value="Arrived Plateau State">Arrived Plateau State</option>
                                            <option value="Arrived Rivers State">Arrived Rivers State</option>
                                            <option value="Arrived Sokoto State">Arrived Sokoto State</option>
                                            <option value="Arrived Taraba State">Arrived Taraba State</option>
                                            <option value="Arrived Yobe State">Arrived Yobe State</option>
                                            <option value="Arrived Zamfara State">Arrived Zamfara State</option>
                                            <option value="Arrived FCT">Arrived FCT</option>
                                            
                                            <option value="Departed Abia State">Departed Abia State</option>
                                            <option value="Departed Adamawa State">Departed Adamawa State</option>
                                            <option value="Departed Akwa-Ibom State">Departed Akwa-Ibom State</option>
                                            <option value="Departed Anambra State">Departed Anambra State</option>
                                            <option value="Departed Bauchi State">Departed Bayelsa State</option>
                                            <option value="Departed Bayelsa State">Departed Bauchi State</option>
                                            <option value="Departed Bebue State">Departed Benue State</option>
                                            <option value="Departed Borno State">Departed Borno State</option>
                                            <option value="Departed Cross River State">Departed Cross River State</option>
                                            <option value="Departed Delta State">Departed Delta State</option>
                                            <option value="Departed Ebonyi State">Departed Ebonyi State</option>
                                            <option value="Departed Edo State">Departed Edo State</option>
                                            <option value="Departed Ekiti State">Departed Ekiti State</option>
                                            <option value="Departed Enugu State">Departed Enugu State</option>
                                            <option value="Departed Gombe State">Departed Gombe State</option>
                                            <option value="Departed Imo State">Departed Imo State</option>
                                            <option value="Departed Jigawa State">Departed Jigawa State</option>
                                            <option value="Departed Kaduna State">Departed Kaduna State</option>
                                            <option value="Departed Kano State">Departed Kano State</option>
                                            <option value="Departed Katsina State">Departed Katsina State</option>
                                            <option value="Departed Kebbi State">Departed Kebbi State</option>
                                            <option value="Departed Kogi State">Departed Kogi State</option>
                                            <option value="Departed Kwara State">Departed Kwara State</option>
                                            <option value="Departed Lagos State">Departed Lagos State</option>
                                            <option value="Departed Nasarawa State">Departed Nasarawa State</option>
                                            <option value="Departed Niger State">Departed Delta State</option>
                                            <option value="Departed Ogun State">Departed Ogun State</option>
                                            <option value="Departed Ondo State">Departed Ondo State</option>
                                            <option value="Departed Osun State">Departed Osun State</option>
                                            <option value="Departed Oyo State">Departed Oyo State</option>
                                            <option value="Departed Plateau State">Departed Plateau State</option>
                                            <option value="Departed Rivers State">Departed Rivers State</option>
                                            <option value="Departed Sokoto State">Departed Sokoto State</option>
                                            <option value="Departed Taraba State">Departed Taraba State</option>
                                            <option value="Departed Yobe State">Departed Yobe State</option>
                                            <option value="Departed Zamfara State">Departed Zamfara State</option>
                                            <option value="Departed FCT">Departed FCT</option>
                                            <option value="In Transit">In Transit</option>
                                            <option value="Onward Delivery">Onward Delivery</option>
                                            <option value="Delivered">Delivered</option>
                                            <option value="Delayed">Delayed</option>
                                            <option value="Onhold">Onhold</option>
                                            <option value="Delivery Failed">Delivery Failed</option>
                                            <option value="Other Comment">Others</option>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Comment <i class='fa fa-comment-o fa' style='color: red;'></i></span>
										<textarea name="comment" id="comment" placeholder="Enter Comment " class="form-control"></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Update Consignment Status" class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
                            
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>