<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Client Transactions" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allCharge.php"> Manage Payment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                            	<h4><font color="#a20202">Fetch Client Transaction(s)</font></h4>
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Select <b>Client Name</b>, followed by <b>Transaction Title</b>, then click <b>Fetch Transaction</b> button </h3>
                                    </div>
                                    <div class="panel-body">
                               
                                    <form action="viewClientTransaction.php" method="POST">
                                        <fieldset>
                                        <div class="form-group input-group">
                                        	<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
                                            <select class="form-control" name="cName" id="cName" required>
                                                <option value="">-- Select a Client --</option>
                                                <?php
                                                    $sql="SELECT cName FROM charge";
                                                    $retvall = mysql_query( $sql, $conn );
                                                    if(mysql_num_rows($retvall) > 0){
                                                        while($row = mysql_fetch_array($retvall)){
                                                            $cName 		= $row['cName'];?>
                                                            <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
                                                    <?php	}
                                                    } ?>
                                            </select>  
                                        </div>
                                        <div class="form-group input-group">
                                        	<span class="input-group-addon">Transaction Title <i  id="loading" class='fa fa-tag fa' style='color: red;'></i> </span>
                                            <select name="title" id="title" class="form-control" required>
                                                <option value="">-- Select a Client First --</option>
                                            </select>
                                        </div>
                                            <input type="submit" value=" Fetch Transaction Data " class="btn btn-lg btn-primary btn-block" data-after-submit-value="Fetching Transaction...">
                                    	</fieldset>
                                </form>
								</div>
							</div>
                            
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>Always select client first, then waite for the transaction title to load before click the transaction title select field.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>