<?php
/**
 * UserEdit.php
 *
 * This page is for users to edit their account information
 * such as their password, email address, etc. Their
 * usernames can not be edited. When changing their
 * password, they must first confirm their current password.
 *
 */
include("incs/session.php");
$pagename = "User Account Settings" ;

require_once 'header.php';
?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><?php echo $pagename; ?> </h1>
                    </div>
                    
                    <?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								$req_user_profile = $database->getUserInfo($req_user);
								$req_user_info = $database->getUserInfo($req_user);
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
            	
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
									  <?php
                                    /**
                                     * User has submitted form without errors and user's
                                     * account has been edited successfully.
                                     */
                                    if(isset($_SESSION['useredit'])){
                                       unset($_SESSION['useredit']);
                                       
                                       echo "<h3><font color='green'><i class='fa fa-user fa' style='color: green;'></i> User Account Edit Success!</font></h3>";
									   echo "<p><b>$session->username</b>, your account has been successfully updated. "
                                           ."<a href='dashboard.php' class='btn btn-lg btn-success btn-block'>Dashboard</a>.</p>";
                                    }
                                    else{ 
                                    ?>
                                      
                                      <?php
                                    /**
                                     * If user is not logged in, then do not display anything.
                                     * If user is logged in, then display the form to edit
                                     * account information, with the current email address
                                     * already in the field.
                                     */
                                    if($session->logged_in){
                                    
                                    if($form->num_errors > 0){
                                       echo "<font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font>";
                                    }
                                    ?>
                                    <p><font color="#939393">Remember your email address is your primary means of contact, so it is adviced to use your official email address.</font></p>
                                    <form action="process.php" method="POST">
                                    <div class="form-group input-group">
                                	<span class="input-group-addon">Current Password <i class='fa fa-key fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Enter Current Password" type="password" name="curpass" maxlength="30" value="<?php echo $form->value("curpass"); ?>"><?php echo $form->error("curpass"); ?>
                                    </div>
                                    <div class="form-group input-group">
                                	<span class="input-group-addon">New Password  <i class='fa fa-key fa' style='color: green;'></i> </span>
                                    <input class="form-control" placeholder="Enter New Password" type="password" name="newpass" maxlength="30" value="<?php echo $form->value("newpass"); ?>"><?php echo $form->error("newpass"); ?>
                                    </div>
                                    <div class="form-group input-group">
                                	<span class="input-group-addon">Email Address <i class='fa fa-envelope fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Registered Email Address"  name="email" maxlength="50" value="
                                    <?php
                                    if($form->value("email") == ""){
                                       echo $session->userinfo['email'];
                                    }else{
                                       echo $form->value("email");
                                    }
                                    ?>"><?php echo $form->error("email"); ?>
                                    </div>
                                    <input type="hidden" name="subedit" value="1">
                                    <input type="submit" value="Edit Account Settings"  class="btn btn-lg btn-success btn-block">
                                    </table>
                                    </form>
                                    
                                    <?php
                                        }
                                    }
                                    
                                    ?>


								</div>
							</div>
						</div>
					</div>
                 </div>
              </div>
           </div>
                
                    
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>
