<?php
/*******************************************###############################################**************************************
** Application Developed By: Ernest Ibeh (www.esolutionsnig.com		e.ibeh@esolutionsnig.com		+234 802 068 9069 )         *
**     																															*
********************************************###############################################*************************************/
include("incs/session.php");

$pagename = "Staff Profile" ;

require_once 'header.php';
include("incs/functions.php");

					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_profile = $database->getUserPData($req_user);
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                       if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isAc() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
// Get The Search variable
    $query = $_GET['user']; // gets value sent over search form
    $min_length = 3; // you can set minimum length of the query if you want
    if(strlen($query) >= $min_length){ // if query length is more or equal minimum length then
        $query = htmlspecialchars($query);  // changes characters used in html to their equivalents, for example: < to &gt;
        $query = mysql_real_escape_string($query);  // makes sure nobody uses SQL injection
         
        $raw_results = mysql_query("SELECT * FROM staff
            WHERE (`username` LIKE '%".$query."%')") or die(mysql_error());
             
        if(mysql_num_rows($raw_results) > 0){ 
            while($row = mysql_fetch_array($raw_results)){
				$full_name = $row['staffName'] ;
				$dobr = $row['dob'];
				$gender = $row['gender'];
				$marital_status = $row['maritalStatus'];
				$phone_number = $row['phoneNumber'];
				$address = $row['address'] ;
				$pics = $row['dp'];
					
				// Display Date and Time
				$dob = date('Y-m-d', strtotime(str_replace('-','/', $dobr)));
				// Get the staff age
				$syear = date("Y");	
				$sage = $syear - $dob;
				
				if ($pics == "") { $pics = "author.png"; } else { $pics  = $pics; }
?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                        <h1 class="page-header"><i class="fa fa-user"></i> <?php echo $full_name; ?>'s profile </h1>
                        
                        <p><a href="dashboard.php">Home</a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                <!-- /.col-lg-12 -->
           		<div class="col-lg-9 col-md-9">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                        	<h5>Personal Information</h5>
                        </div>
                        <div class="panel-body">
							<?php 
								$req_user_info = $database->getUserInfo($req_user); 
								$email			= $req_user_info['email'];
							?>
                            
            				<table width="90%" cellpadding="5px" cellspacing="5px" >
                                 <tbody>
                                     <tr>
                                        <td align="right" width="40%"> Staff Name:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $full_name; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Date of Birth:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $dob; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Gender:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $gender; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Marital Status:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $marital_status; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Phone Number:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $phone_number; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Contact Email Address:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $email; ?></b></td>
                                     </tr>
                                     <tr>
                                        <td align="right" width="40%"> Contact Address:</td>
                                        <td width="5%">&nbsp; </td>
                                        <td width="55%"><b> <?php echo $address; ?></b></td>
                                     </tr>
                                 </tbody>
                            </table>
                            
               			</div>
                     </div>
                   </div>
                   
                <!--- ===================================== seperate ========================================= -->
            	<div class="col-lg-3 col-md-3">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                        	Display Picture
                        </div>
                        <div class="panel-body">
                        	<img src="images/staff/<?php echo $pics; ?>" width="95%" style="border-radius: 25px 10px 25px 10px;"><br><b><?php echo $username. " <font color='#636363'> | </font> Age: ". $sage . " Years"; ?></b>
               			 </div>
                     </div>
                </div>
            <!-- /.row -->
            
<?php
            }
             
        }
        else{ // if there is no matching rows do following?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><?php echo $pagename; ?></h1>
                    </div>
                    <!-- /.col-lg-12 -->
                    
                    <div class="col-lg-8">
                       <div class="panel-body">
                       <?php
            echo "Your search - <b>" . $query . "</b> - did not match any record. <br>
			Suggestions:
			<ul>
				<li>Make sure that all words are spelled correctly.</li>
				<li>Try different keywords.</li>
				<li>Try more general keywords.</li>
				<li>Try fewer keywords.</li>
			</ul>";
			
		}
	}
    else{ // if query length is less than minimum
        echo "Minimum length is ".$min_length;
    }
	
	
?>
                    </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->


<?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>
<?php
  // Insert the page footer
  require_once('footer.php');
?>