<?php
/*******************************************###############################################**************************************
** Application Developed By: Ernest Ibeh (www.esolutionsnig.com		e.ibeh@esolutionsnig.com		+234 802 068 9069 )         *
**     																															*
********************************************###############################################*************************************/

include("incs/session.php");
require 'incs/functions.php';

$pagename = "View Client Charges" ;

require_once 'header.php';


if($session->isAc()){
?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a>  &rarr; <?php echo $pagename; ?> </p>
                        <hr />
                    </div>
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-primary">
                        <?php
						// Posted from transactions
						if( $_POST )
						{
							// Clean up data then Assign the input values to variables for easy reference
							$cName	 = filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
							$titl	 = filter_var($_POST['title'], FILTER_SANITIZE_STRING);
							// Split into title and dateRange
							$pieces = explode(",", $titl);
							$title = $pieces[0]; 
							$dateRange = $pieces[1];
							// Split dateRange into from_date and to_date
							$piecesDate = explode(" to ", $dateRange);
							$from_date = $piecesDate[0];
							$to_date = $piecesDate[1];
							
							$date1  = date('l jS \of F Y', strtotime($from_date));
							$date2  = date('l jS \of F Y', strtotime($to_date));
							
							$num = 1;
							$results = mysql_query("SELECT * FROM charge WHERE cName = '$cName' AND title = '$title' AND dateRange = '$dateRange' ");
							
							if (mysql_num_rows($results) == 1) {
						
						?>
                        <div class="panel-heading">
                        	<h5>The table below shows all <b><?php echo $cName; ?></b>'s transaction between the period of <b><?php echo $date1. '</b> and <b>'.$date2;?></b> 
                            </h5>
                        </div>
                        <div class="panel-body">
                        <!-- /.panel-heading -->
                        <table class='table table-striped table-bordered table-hover' width="100%">
                             <thead>
                             	<tr>
                                    <th>S/N</th>
                                    <th>AWB NO</th>
                                    <th>WEIGHT(KG)</th>
                                    <th>AMOUNT</th>
                                  </tr>
                               	</thead>
                          		<tbody>
                                
                                	<?php
									// cName 	awbNumber 	charge 	amtCharge 	totalAmount 	createdBy 	last_updated 
                                    while ($row = mysql_fetch_array($results)) {
								  	?>
                                  	<tr class='odd gradeX'>
                                         <td><?php echo $num++; ?></td>
                                         <td><?php echo $row['awbNumber']; ?></td>
                                         <td><?php echo $row['charge']; ?></td>
                                         <td><?php echo $row['totalAmount']; ?></td>
                                     </tr>
                                <?php
									}
								 
								} else {
									 echo "No record found.";
								}
								?>
                                	<?php
                                     		$cash = $totalCas = $vat = $totalCash = '';
											$sql="SELECT * FROM charge WHERE cName = '$cName'";
                                            $retvall = mysql_query( $sql, $conn );
                                            if(mysql_num_rows($retvall) > 0){
												while($row = mysql_fetch_array($retvall)){
													 $cash	= $row['totalAmount'];
													 $totalCas += $cash;
												 }
												 
													 $vat = 0.05 * $totalCas;
													 $totalCash = $vat + $totalCas;
                                            } 
										?>
                                    <tr>
                                   		<td colspan="3" align="right"><b>5% VAT</b>:</td>
                                        <td><b><font color="#000033"><?php echo "N ". number_format($vat, 2); ?></font></b></td>
                                    </tr>
                                    <tr>
                                   		<td colspan="3" align="right"><b>Total</b>:</td>
                                        <td><b><font color="#000033"><?php echo "N ". number_format($totalCash, 2); ?></font></b></td>
                                    </tr>
                        	</tbody>
                       </table>
                       <a href="invoice/index.php?cName=<?php echo $cName . ",". $totalCash . ",". $vat. ",". $totalCas; ?>" class="btn btn-success" target="_blank"><i class="fa fa-file-pdf-o fa-fw" style="color: #af0000"></i> Generate Invoice </a>
                        <?php
						}
                        ?>

 </div>
                            <!-- /.table-responsive -->
                            
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>

        </div>
        <!-- /#page-wrapper -->
        
        <?php }
			else{
		?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">Security Alert</h1>
                    </div>
                    <!-- /.col-lg-12 -->
                    <div class="panel-heading">
                        <h4 class="panel-title"><font color="#FF0000">Access Denied</font></h4>
                    </div>
                    <div class="col-lg-8">
                        <div class="panel-body">
                           <p> You are not allowed to view this, kindly navigate back to <a href="main.php"> Your Dashboard Here </a>. Or  <a href="mailto:e.ibeh@xlafricagroup.com?cc=a.peter@xlafricagroup.com&bcc=h.okore@xlafricagroup.com
&amp;subject=E%-%20Appraisal%20Error%20&amp;body=The%20body%20of%20the%20email"><i class="fa fa-info fa-fw" style="color: red;"></i> Contact Administrator Here</a></p> 
                        </div>                        

                      </div>  
                        
                        
                        </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

<?php
	}

// Insert the page footer
  require_once('footer.php');
?>