<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Charge Client" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allCharge.php"> Manage Payment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            	<div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Enter AMOUNT for each consignment and click SAVE CHARGES </h3>
                                    </div>
                                    <div class="panel-body">
                                    <?php
										if(isset($_GET['ok'])){
											if (!empty($_SESSION['cName'])) {
											  $cName = $_SESSION['cName'];
											}
											if (!empty($_SESSION['from_date'])) {
											  $from_date = $_SESSION['from_date'];
											  $date1 = date('l jS \of F Y', strtotime($from_date));
											}
											if (!empty($_SESSION['to_date'])) {
											  $to_date = $_SESSION['to_date'];
											  $date2 = date('l jS \of F Y', strtotime($to_date));
											}
										}else{
											echo "Incomplete Query";
										}
										
										// Query Database and fetch client transaction
										$sql = "SELECT * FROM consignment WHERE cName = '$cName' AND last_updated BETWEEN '" . $from_date . "' AND  '" . $to_date . "' ORDER by id DESC";
										$retvall = mysql_query( $sql, $conn );
										if(mysql_num_rows($retvall) > 0){
											echo '<h4>Preparing <strong>'.$cName.'</strong> Charges for the period of <strong>'.$date1.'</strong> to <strong>'.$date2.'</strong>';
								?>
                               		 <hr />
                                     <form action="incs/insert.php" method="POST">
                                            <fieldset>
                                                <div class="form-group input-group">
                                                    <span class="input-group-addon">Title <i class='fa fa-tag fa' style='color: red;'></i> </span>
                                                    <input class="form-control"  name="title" id="title" type="text" required>
                                            	</div>
                                            
                                            	<table width="100%" id="chargeClient" class='table table-striped table-bordered table-hover'>
                                                    <thead>
                                                        <tr>
                                                            <th>S/No</th>
                                                            <th>Airway Bill No</th>
                                                            <th>Destination</th>
                                                            <th>Weight</th>
                                                            <th>Amount</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                  <?php
											$sno = 1;
											$noConsignments	= 0;
											while($row = mysql_fetch_array($retvall)){
												$awbNumber 			= $row['awbNumber'];
												$destinatioOffice	= $row['destinatioOffice'];
												$weight				= $row['weight'];
												$noConsignments++;
												// Split Office name from Office location
												$pieces = explode(" - ", $destinatioOffice);
									?>
                              			
                                        
                                                    	<tr>
                                                        	<td><?php echo $sno++; ?></td>
                                                            <td><?php echo $awbNumber; ?></td>
                                                            <td><?php echo $pieces[1]; ?></td>
                                                            <td><?php echo $weight; ?></td>
                                                            <td><input class="form-control" placeholder="Enter Amount"  name="amount" id="amount" type="text" required></td>
                                                        </tr>
                                                        
                                    <?php } ?>
                                    				<tr>
                                                    	<td colspan="4" >Total Charge: </td>
                                                        <td  bgcolor="#0066FF">
                                                        	<input class="form-control"  name="amountCharged" id="amountCharged" value="" type="text" readonly required>
                                                        	<input class="form-control"  name="cName" id="cName" value="<?php echo $cName; ?>" type="hidden" readonly required>
                                                            <input class="form-control"  name="noConsignments" id="noConsignments" value="<?php echo $noConsignments; ?>" type="hidden" readonly required>
                                                            <input class="form-control"  name="dateRange" id="dateRange" value="<?php echo $from_date.' to '.$to_date; ?>" type="hidden" readonly required>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            	 <a href="newCharge.php" class="btn btn-danger"> <i class='fa fa-arrow-left fa'></i> Back </a>  &nbsp; &nbsp; &nbsp; &nbsp;
                                                <button type="submit" name="saveCharge" id="saveCharge" class="btn btn-success"><i class='fa fa-hdd-o fa'></i> SAVE CHARGES  <i class='fa fa-arrow-right fa'></i> </button>
                                            </fieldset>
                                        </form>
                                       
                                    <?php
										} else {
											echo "No record found";
										}
									?>
								</div>
							</div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>