<?php
/*******************************************###############################################**************************************
** Application Developed By: Ernest Ibeh (www.esolutionsnig.com		e.ibeh@esolutionsnig.com		+234 802 068 9069 )         *
**     																															*
********************************************###############################################*************************************/

include("incs/session.php");
$pagename = "Control Panel";
require_once('header.php');

include("incs/functions.php");
if($session->isAdmin()){
?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                    <h1 class="page-header"><i class='fa fa-cog fa-spin'></i> <?php echo $pagename; ?> </h1>
                    <p><a href="dashboard.php">Home</a> &rarr; <?php echo $pagename; ?></p>
                    <hr />
                 </div>
                    <!-- /.col-lg-12 -->
                    
                    <div class="col-lg-10">
                        <div class="panel-body">
                        
                        <table class="zui-table zui-table-vertical" width="100%" border="0" cellspacing="0" cellpadding="0"> 
                            <colgroup>
                                <col class="zui-table-col-even"></col>
                                <col class="zui-table-col-even"></col>
                            </colgroup>
                            <thead>
                            </thead>
                            <tbody>
                               
                               <tr>
                               <td align="center"><a href="add_subsidiary.php"><i class='fa fa-bank fa-5x' style="color: #036722;"></i><br/>Create New Subsidiary</a></td>
                                <td align="center"><a href="sublist.php"><i class='fa fa-eye fa-5x' style="color: #024060;"></i><br>View Subsidiaries</a></td>
                                <td align="center"><a href="new_appraisal.php"><i class='fa fa-thumbs-up fa-5x' style="color: #036722;"></i><br />Create New Appraisal</a></td>
                               </tr>
                               
                               <tr>
                                <td align="center"><a href="applist.php"><i class='fa fa-tasks fa-5x' style="color: #024060;"></i><br />View Appraisal</a></td>
                               	<td align="center"><a href="repline.php"><i class='fa fa-sitemap fa-5x' style="color: #036722;"></i><br />Create Reporting Line</a></td>
                                <td align="center"><a href="viewline.php"><i class='fa fa-sort-amount-desc fa-5x' style="color: #024060;"></i><br />Manage Reporting Line</a></td>
                                </tr>
                                <tr>
                                <td align="center"><a href="archive_app.php"><i class='fa fa-cloud-download fa-5x' style="color: #329ec6;"></i><br />Archive Appraisal</a></td>
                               <td align="center"><a href="applife.php"><i class='fa fa-refresh fa-spin fa-5x' style="color: #600dbd;"></i><br />Appraisal Life Cycle</a></td>
                               </tr>
                            </tbody>
                        </table>
                    
                    </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
        
        <?php
} elseif($session->isEc()){?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                    <h1 class="page-header"><i class='fa fa-cog fa-spin'></i> <?php echo $pagename; ?> </h1>
                    <p><a href="dashboard.php">Home</a> &rarr; <?php echo $pagename; ?></p>
                    <hr />
                 </div>
                    <!-- /.col-lg-12 -->
                    
                    <div class="col-lg-10">
                        <div class="panel-body">
                        
                        <table class="zui-table zui-table-vertical" width="100%" border="0" cellspacing="0" cellpadding="0"> 
                            <colgroup>
                                <col class="zui-table-col-even"></col>
                                <col class="zui-table-col-even"></col>
                            </colgroup>
                            <thead>
                            </thead>
                            <tbody>
                               
                               <tr>
                               <td align="center"><a href="sublist.php"><i class='fa fa-eye fa-5x' style="color: #000;"></i><br>View Subsidiaries</a></td>
                                <td align="center"><a href="applist.php"><i class='fa fa-tasks fa-5x' style="color: #024060;"></i><br />View Appraisal</a></td>
                               	<td align="center"><a href="viewline.php"><i class='fa fa-sort-amount-desc fa-5x' style="color: #024060;"></i><br />View Reporting Line</a></td>
                                <td align="center"><a href="applife.php"><i class='fa fa-refresh fa-spin fa-5x' style="color: #600dbd;"></i><br />Appraisal Life Cycle</a></td>
                               </tr>
                            </tbody>
                        </table>
                    
                    </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
        
        <?php } else{ ?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">Security Alert</h1>
                    </div>
                    <!-- /.col-lg-12 -->
                    <div class="panel-heading">
                        <h4 class="panel-title"><font color="#FF0000">Access Denied</font></h4>
                    </div>
                    <div class="col-lg-8">
                        <div class="panel-body">
                           <p> You are not allowed to view this, kindly navigate back to <a href="main.php"> Your Dashboard Here </a>. Or  <a href="mailto:e.ibeh@xlafricagroup.com?cc=a.peter@xlafricagroup.com&bcc=h.okore@xlafricagroup.com
&amp;subject=E%-%20Appraisal%20Error%20&amp;body=The%20body%20of%20the%20email"><i class="fa fa-info fa-fw" style="color: red;"></i> Contact Administrator Here</a></p> 
                        </div>                        

                      </div>  
                        
                        
                        </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
					
<?php
}

// Insert the page footer
  require_once('footer.php');
?>