<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Charge Client" ;



require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-money fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allCharge.php"> Manage Payment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAc()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Select CLIENT NAME, then START and END date and click NEXT to continue </h3>
                                    </div>
                                    <div class="panel-body">
                                    <?php
									//Start passing values through session array
									$errors = array();	
									if(empty($_POST)=== false){
										
										$required_fields = array('id','cName','from_date','to_date');
											foreach($_POST as $key=>$value){
												if(empty($value) && in_array($key,$required_fields)===true){
													$errors[] = 'All fields are required';
													break 1;
												}
											}
										
										}
										if(empty($_POST)===false && empty($errors)=== true){
											$_SESSION['id'] = $_POST['id']; 
											$_SESSION['cName'] = $_POST['cName']; 
											$_SESSION['from_date'] = $_POST['from_date'];
											$_SESSION['to_date'] = $_POST['to_date'];
											$_SESSION['title'] = $_POST['title'];
											header("location: editChargee.php?ok");
											exit(); 
										}else if(empty($errors)=== false){
											print_r($errors);
										}
									
									
									if(isset($_GET['id'])) {
										$id = $_GET['id'];
										$sql="SELECT * FROM charge WHERE id ='$id'";
										$retvall = mysql_query( $sql, $conn );
										if(mysql_num_rows($retvall) > 0){
											while($row = mysql_fetch_array($retvall)){
												$id			 		= $row['id'];
												$title		 		= $row['title'];
												$cName 				= $row['cName'];
												$dateRange 			= $row['dateRange'];
												// Split date range
												$pieces = explode(" to ", $dateRange);
									?>
                                                        
								<form action="" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
										<span class="input-group-addon">Client Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<input class="form-control"  name="cName" id="cName" value="<?php echo $cName; ?>" type="text" readonly required>
                                    </div>
                                    <div class="form-group input-group">
										<span class="input-group-addon">Date Range <small>(YYYY-MM-DD)</small> <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" value="<?php echo $pieces[0]; ?>"  name="from_date" id="from_date" type="text" required>
                                        <input class="form-control" value="<?php echo $pieces[1]; ?>"  name="to_date" id="to_date" type="text" required>
									</div>
                                     
                                    
                                    <div class="form-group input-group">
										<input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
                                        <input type="hidden" name="title" id="title" value="<?php echo $title; ?>" />
                                        <button type="submit" class="btn btn-lg btn-success btn-block"> NEXT  <i class='fa fa-arrow-right fa'></i> </button>
									</div>
									
								</fieldset>
							</form>
							<?php	}
                                        } else {
                                            echo "No record found";
                                        }
									} else {
										echo "This reccord does not exist";
									}
							?>
								</div>
							</div>
						
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>