<?php

include("../incs/session.php");
require '../incs/functions.php';

// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
   $username = $session->username;
   date_default_timezone_set("Africa/Lagos");

?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="muni">
 
    <title>XL Courier Tracker: Invoice</title>

    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Droid+Sans:400,700|Noto+Serif:400,700">  	
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="../images/xl.png"/>
    
    <!-- Bootstrap core CSS -->
    <link href="css/jquery-ui.min.css" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/sticky-footer-navbar.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href=""><img src="../images/logo.png" alt="logo"></a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="javascript:window.print()" class="btn btn-success"> Process/Print Out Invoice </a>
        </div>
        
        <!--/.nav-collapse -->
      </div>
    </nav>

    <!-- Begin page content -->
    <div class="container content">
    <?php
		//  Fetch region record
		if(isset($_GET['cName']))
		{
			$query = $_GET['cName'];
			
			// Split Qurty
			//$cName . ",". $totalCash . ",". $vat. ",". $totalCas;
			$splitter		= $query;
			$splitter		= explode(",", $splitter);
			$cName			= $splitter[0];
			$clientName 	= strtoupper($cName);
			$totalAmount	= number_format($splitter[1], 2);
			$vat			= number_format($splitter[2], 2);
			$amount			= number_format($splitter[3], 2);
			
			// Fetch client info
			// cName 	cPerson 	cPhone 	cFax 	cMail 	cChargeType 	cRelStaff 	address 	createdBy 	last_updated 
			$sql="SELECT * FROM client WHERE cName = '$cName'";
            $retvall = mysql_query( $sql, $conn );
            if(mysql_num_rows($retvall) > 0){
				while($row = mysql_fetch_array($retvall)){
					$cName		= $row['cName'];
					$cMail		= $row['cMail'];
					$address	= $row['address'];
				}
           }
		   
		   // Fetch Charge Info
		   $sql="SELECT * FROM charge WHERE cName = '$query'";
            $retvall = mysql_query( $sql, $conn );
            if(mysql_num_rows($retvall) > 0){
				while($row = mysql_fetch_array($retvall)){
					$cName		= $row['cName'];
					$cMail		= $row['cMail'];
					$address	= $row['address'];
				}
           } 
	?>
    	
        <div class='row'>
      		<div class='col-xs-12 col-sm-4 col-md-4 col-lg-4'>
            
      		</div>
      		<div class='col-xs-12 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 col-sm-4 col-md-4 col-lg-4'>
      			<p align="right"><b>XL EXPRESS &amp; LOGISTICS LTD</b></p>
                    <p align="right"> VAT NO: VIV 10002508043</p>
                    <p align="right"> TIN NO: 01399820-00</p>
        	</div>
        </div>
        
        
        <div class='row'>
    		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
            	<p class="text-center"><b>INVOICE</b></p>
    		</div>
    	</div>
      	
        
      	<p>Client Information</p>
      	<div class='row'>
      		<div class='col-xs-12 col-sm-4 col-md-4 col-lg-4'>
            
                <div class="form-group input-group">
                     <span class="input-group-addon"></span>
                        <input type="text" name="cName" class="form-control" id="cName" value="<?php echo $cName; ?>" readonly>
                </div>
                <div class="form-group input-group">
                     <span class="input-group-addon">ADDRESS:</span>
                        <textarea class="form-control" name="address" rows='3' id="address" readonly><?php echo $address; ?></textarea>
                </div>
				
				
      		</div>
      		<div class='col-xs-12 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 col-sm-4 col-md-4 col-lg-4'>
      			<div class="form-group input-group">
                     <span class="input-group-addon">DATE:</span>
                        <input type="date" class="form-control" name="date" id="date"  value="<?php echo $date = (Date("l F d, Y")); ?>" readonly>
                </div>
                <div class="form-group input-group">
                     <span class="input-group-addon">INVOICE NUMBER:</span>
                        <input type="text" class="form-control" name="invoiceNo" id="invoiceNo" placeholder="Enter Invoice No. e.g: XLMS/CNM/MM/3DT">
                </div>
                
				<div class="input-group">
                    <div class="input-group-addon"><img src="../images/naira.png" alt="N"></div>
                        <input type="text" class="form-control amountDue" id="totalAmount" name="totalAmount" placeholder="Amount Due" value="<?php echo $totalAmount; ?>" readonly >
                    </div>
      		</div>
      	</div>
        
      	<div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<table class="table table-bordered table-hover">
					<thead>
						<tr>
							<th width="54%">DESCRIPTION</th>
							<th width="3%">RATE</th>
							<th width="3%">QUANTITY</th>
							<th width="40%">TOTAL</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><textarea class="form-control" rows='1' id="description" placeholder="Enter description here" ></textarea></td>
							<td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>
                            <div class="input-group">
                                <div class="input-group-addon"><img src="../images/naira.png" alt="N"></div>
                                <input type="text" class="form-control" name="totalBeforetax" id="totalBeforetax" placeholder="Total" value="<?php echo $amount; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="3">&nbsp;</td>
                            <td>
                            <div class="form-group input-group">
                                <span class="input-group-addon">Subtotal &nbsp; <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="subTotal" name="subTotal" placeholder="Subtotal" value="<?php echo $amount; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon"> &nbsp;&nbsp;&nbsp;5% VAT <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="vat" name="vat" placeholder="VAT" value="<?php echo $vat; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Total</b> <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="total" name="total" placeholder="Total" value="<?php echo $totalAmount; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="4">
                                <div class="form-group input-group">
                                     <span class="input-group-addon">Pay Into This Account Number:</span>
                                        <input type="text" name="bank" id="bank" class="form-control" placeholder="Enter Bank Details Here. example: UBA A/C NO 1005043465">
                                </div>
                             </td>
						</tr>
					</tbody>
				</table>
                
                	<p><b>PAYMENT TERMS</b>: PLEASE CREDIT ACCOUNT IMMEDIATELY</p>
                
      		</div>
      	</div>
      	<div class='row'>
      		
      	</div>
      	
        <div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<div class="form-group input-group">
                    <span class="input-group-addon"><b>ATTENTION</b>:</span>
                         <textarea class="form-control" rows='1' name="notes" id="notes" placeholder="Your Notes"></textarea>
                </div>
                
      		</div>
            
            <HR>
            
            <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                <p>FOR: XL EXPRESS AND LOGISTICS LTD </p>
                <p>______________________________________________</p>
            </div>
            <p>&nbsp;</p>
            <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6'>
                <p>FOR: CLIENT </p>
                <p>______________________________________________</p>
            </div>
            
            <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6'>
                <p>DATE: </p>
                <p>______________________________________________</p>
            </div>
            
      	</div>
        
        <?php 
			} else {
				echo "Wrong Client";
			}
		?>
    </div>
    
        
        
    <footer class="footer">
      <div class="container">
        <h6 align="center"><font color="#cecece">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font></h6>
      </div>
    </footer>


    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/bootstrap-datepicker.js"></script>
    <script src="js/auto.js"></script>
  </body>
</html>