<?php

include("incs/session.php");
require 'incs/functions.php';

$pagename = "Dispatch Movement" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Consignment Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allConsignments.php"> Manage Consignment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAdmin() || $session->isOff() || $session->isTrack()  || $session->isPerf() || $session->isMd()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 		= filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$staffName				= filter_var($_POST['staffName'], FILTER_SANITIZE_STRING);
									$authorisingStaff		= filter_var($_POST['authorisingStaff'], FILTER_SANITIZE_STRING);
									$visitingAddress		= filter_var($_POST['visitingAddress'], FILTER_SANITIZE_STRING);
									$timeOf					= filter_var($_POST['timeOf'], FILTER_SANITIZE_STRING);
									$projectedReturnTime	= filter_var($_POST['projectedReturnTime'], FILTER_SANITIZE_STRING);
									$movementDate			= filter_var($_POST['movementDate'], FILTER_SANITIZE_STRING);
									$comments				= filter_var($_POST['comments'], FILTER_SANITIZE_STRING);
									$last_updated			= date('Y-m-d H:i:s');
										
								//staffName`, `authorisingStaff`, `visitingAddress`, `timeOf`, `projectedReturnTime`, `movementDate`, `comments`,
										// Insert into database
										$sql = "INSERT INTO recordmovement (`staffName`, `authorisingStaff`, `visitingAddress`, `timeOf`, `projectedReturnTime`, `movementDate`, `comments`, `createdBy`, `last_updated`) 
										VALUES ('$staffName', '$authorisingStaff', '$visitingAddress', '$timeOf', '$projectedReturnTime', '$movementDate', '$comments','$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'><b>$staffName</b> has been dispatched to <b><i>$visitingAddress</i></b>.</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
									?> 
								<form action="movement.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Staff To Dispatch <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="staffName" id="staffName">
                  							<option value="<?php if (!empty($staffName)) echo $staffName; ?>"><?php if (!empty($staffName)) { echo $staffName; } else { echo "Select Staff To Dispatch"; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Authorising Staff <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="authorisingStaff" id="authorisingStaff">
                  							<option value="<?php if (!empty($authorisingStaff)) echo $authorisingStaff; ?>"><?php if (!empty($authorisingStaff)) { echo $authorisingStaff; } else { echo "Select Your Name "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Recipient's Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Name Here"  name="recipientName" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Visiting Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="visitingAddress" id="visitingAddress" placeholder="Enter Visiting Address Here " class="form-control"></textarea>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Time Off <i class='fa fa-clock-o fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Time Off"  name="timeOf" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Projected Return Time <i class='fa fa-clock-o fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Projected Return Time"  name="projectedReturnTime" type="text">
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Movement Date (YYYY-MM-DD) <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Movement Date Here"  name="movementDate" type="text">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Comment <i class='fa fa-comment-o fa' style='color: red;'></i></span>
										<textarea name="comments" id="comments" placeholder="Enter Comment Here " class="form-control"></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Record Dispatch Movement " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
                            
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  } 
				  else{
					 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='dashboard.php'>Please Return Home</a></h3>";
									   
				} 
              }
              
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>