<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Create New Automobile" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-automobile fa'></i> Asset Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allAutomobile.php"> Manage Automobiles </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAdmin() || $session->isOff()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$aCatName		 = filter_var($_POST['aCatName'], FILTER_SANITIZE_STRING);
									$aRegNumber		 = filter_var($_POST['aRegNumber'], FILTER_SANITIZE_STRING);
									$aNumber		 = filter_var($_POST['aNumber'], FILTER_SANITIZE_STRING);
									$aChasisNumber	 = filter_var($_POST['aChasisNumber'], FILTER_SANITIZE_STRING);
									$aEngineNumber	 = filter_var($_POST['aEngineNumber'], FILTER_SANITIZE_STRING);
									$autoName		 = filter_var($_POST['autoName'], FILTER_SANITIZE_STRING);
									$aStatus		 = filter_var($_POST['aStatus'], FILTER_SANITIZE_STRING);
									$aOfficeLocation = filter_var($_POST['aOfficeLocation'], FILTER_SANITIZE_STRING);
									$aStaff			 = filter_var($_POST['aStaff'], FILTER_SANITIZE_STRING);
									$acquisitionDate = filter_var($_POST['acquisitionDate'], FILTER_SANITIZE_STRING);
									$remark		 	 = filter_var($_POST['remark'], FILTER_SANITIZE_STRING);
									$last_updated	 = date('Y-m-d H:i:s');
										
										// Insert into database
										// aCatName 	aRegNumber 	aNumber 	aChasisNumber 	aEngineNumber 	autoName 	aStatus 	aOfficeLocation 	aStaff 	acquisitionDate 	remark 	createdBy 	last_updated
										$sql = "INSERT INTO automobile (aCatName, aRegNumber, aNumber, aChasisNumber, aEngineNumber, autoName, aStatus, aOfficeLocation, aStaff, acquisitionDate, remark,  createdBy, last_updated) VALUES ('$aCatName', '$aRegNumber', '$aNumber', '$aChasisNumber', '$aEngineNumber', '$autoName', '$aStatus', '$aOfficeLocation', '$aStaff', '$acquisitionDate', '$remark', '$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'><b>$autoName</b>'s has been created successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
										// aCatName 	aRegNumber 	aNumber 	aChasisNumber 	aEngineNumber 	autoName 	aStatus 	aOfficeLocation 	aStaff 	acquisitionDate 	remark
									?> 
								<form action="newAutomobile.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Asset Category <i class='fa fa-code-fork fa' style='color: red;'></i> </span>
										<select class="form-control" name="vRelStaff" id="vRelStaff">
                  							<option value="<?php if (!empty($vRelStaff)) echo $vRelStaff; ?>"><?php if (!empty($vRelStaff)) { echo $vRelStaff; } else { echo "Choose Vendor Contact Staff "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor's Name <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Vendor's Name"  name="vName" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor Contact Person <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Vendor Contact Person"  name="vPerson" type="text">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Vendor Phone <i class='fa fa-phone fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Vendor Phone Number"  name="vPhone" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor Fax <i class='fa fa-fax fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Vendor Fax Number"  name="vFax" type="text">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor E-mail Address <i class='fa fa-envelope fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Vendor Email Address "  name="vMail" type="email">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Vendor Contact Staff <i class='fa fa-user fa' style='color: red;'></i> </span>
										<select class="form-control" name="vRelStaff" id="vRelStaff">
                  							<option value="<?php if (!empty($vRelStaff)) echo $vRelStaff; ?>"><?php if (!empty($vRelStaff)) { echo $vRelStaff; } else { echo "Choose Vendor Contact Staff "; } ?></option>
                                            <?php
												$sql="SELECT staffName FROM staff";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$staffName 		= $row['staffName'];?>
                                                        <option value="<?php echo $staffName; ?>"><?php echo $staffName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Office Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="address" id="address" placeholder="Enter Vendor's Office Address Here " class="form-control"></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Create Client " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>