<?php

include("incs/session.php");
require 'incs/functions.php';

$pagename = "Add New Consignment" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Consignment Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allConsignments.php"> Manage Consignment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
					/* Requested Username error checking */
					$req_user = $session->username;
					/* Display requested user information */
					$req_user_info = $database->getUserInfo($req_user);
								
					if($session->logged_in){
                                   
                      if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data <font color="#a20202"><i>Fields marked with red are required</i></font></h3>
                                    </div>
                                    <div class="panel-body">
                               <?php 
							   $awbNumber = $cName = $sendersName = $recieversName = $recieversEmail = $recieversPhone = $terminatingCity = $recieversAddress = $pickupDate = $typeofConsignment = $weight = $refNumber = $quantity = $bookingMode = $modeofShipment = $dispatchTime = $sendingOffice = $destinatioOffice = $description = "";                              
                               if( $_POST )
								{
									// Clean up data then Assign the input values to variables for easy reference
									$username		 	= filter_var($_POST['username'], FILTER_SANITIZE_STRING);
									$awbNumber			= filter_var($_POST['awbNumber'], FILTER_SANITIZE_STRING);
									$refNumber			= filter_var($_POST['refNumber'], FILTER_SANITIZE_STRING);
									$cName		 		= filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
									$sendersName		= filter_var($_POST['sendersName'], FILTER_SANITIZE_STRING);
									$recieversName		= filter_var($_POST['recieversName'], FILTER_SANITIZE_STRING);
									$recieversEmail		= filter_var($_POST['recieversEmail'], FILTER_SANITIZE_STRING);
									$recieversPhone		= filter_var($_POST['recieversPhone'], FILTER_SANITIZE_STRING);
									$recieversAddress	= filter_var($_POST['recieversAddress'], FILTER_SANITIZE_STRING);
									$terminatingCity	= filter_var($_POST['terminatingCity'], FILTER_SANITIZE_STRING);
									$pickupDate		 	= filter_var($_POST['pickupDate'], FILTER_SANITIZE_STRING);
									$typeofConsignment	= filter_var($_POST['typeofConsignment'], FILTER_SANITIZE_STRING);
									$weight		 		= filter_var($_POST['weight'], FILTER_SANITIZE_STRING);
									$refNumber			= filter_var($_POST['refNumber'], FILTER_SANITIZE_STRING);
									$quantity		 	= filter_var($_POST['quantity'], FILTER_SANITIZE_STRING);
									$bookingMode		= filter_var($_POST['bookingMode'], FILTER_SANITIZE_STRING);
									$modeofShipment		= filter_var($_POST['modeofShipment'], FILTER_SANITIZE_STRING);
									$dispatchTime		= filter_var($_POST['dispatchTime'], FILTER_SANITIZE_STRING);
									$sendingOffice	 	= filter_var($_POST['sendingOffice'], FILTER_SANITIZE_STRING);
									$destinatioOffice	= filter_var($_POST['destinatioOffice'], FILTER_SANITIZE_STRING);
									$description		= filter_var($_POST['description'], FILTER_SANITIZE_STRING);
									$last_updated		= date('Y-m-d H:i:s');
									
									// Fetch existing record
									$sql="SELECT awbNumber FROM consignment WHERE awbNumber = '".$awbNumber."'";
									$retvall = mysql_query( $sql, $conn );
									if(mysql_num_rows($retvall) > 0){
										echo "<h4><font color='#a20202'>Airway Bill Number - <b>$awbNumber</b> - Already exists, Kindly enter another another airway bill number.</font>";
									} else {
										// Insert into database
										$sql = "INSERT INTO consignment (`awbNumber`, `cName`, `sendersName`, `recieversName`, `recieversEmail`, `recieversPhone`, `terminatingCity`, `recieversAddress`, `pickupDate`, `typeofConsignment`, `weight`, `refNumber`, `quantity`, `bookingMode`, `modeofShipment`, `dispatchTime`, `sendingOffice`, `destinatioOffice`, `description`, `deliveryStatus`, `createdBy`, `last_updated`) 
										VALUES ('$awbNumber', '$cName', '$sendersName', '$recieversName', '$recieversEmail', '$recieversPhone', '$terminatingCity', '$recieversAddress',  '$pickupDate', '$typeofConsignment', '$weight', '$refNumber', '$quantity', '$bookingMode', '$modeofShipment', '$dispatchTime', '$sendingOffice',  '$destinatioOffice', '$description',  'Not Delivered', '$username', '$last_updated')";
												
										if (mysql_query($sql, $conn)) {
											// Initiate consigment tracker
											$qt = "INSERT INTO track (`awbNumber`, `refNumber`, `clientName`, `currentLocation`, `status`, `comments`, `last_updated`, `createdBy`) 
											VALUES ('$awbNumber', '$refNumber', '$cName', '$sendingOffice',  'Registered and ready for shipment', '$description', '$last_updated', '$username')";
											if (mysql_query($qt, $conn)) {
												echo "<font color='blue'>Track initiated</font>";
											} else {
												echo "Error: " . $sql . "<br>" . mysql_error($conn);
											} // end track insertion
										
											echo "<h4><font color='green'>Consignment with Airway bill number <b>$awbNumber</b> has been added successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
									}
											
								}
								?> 
								<form action="newConsignment.php" method="POST">
									<fieldset>
                                    <div class="form-group input-group">
                                    	<span class="input-group-addon">Airway Bill Number <i class='fa fa-tag fa' style='color: red;'></i><br /><p id = "awbno_status"> </p></span>
										<input class="form-control" placeholder="Airway Bill Number"  name="awbNumber" id="awbNumber" value="<?php echo $awbNumber; ?>" type="text" onkeyup="checkLength()" SIZE=6 MAXLENGTH=6 required>
                                        <span class="info" id="awbText"> </span>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Client Name <i class='fa fa-home fa' style='color: red;'></i> </span>
										<select class="form-control" name="cName" id="cName">
                  							<option value="<?php if (!empty($cName)) echo $cName; ?>"><?php if (!empty($cName)) { echo $cName; } else { echo "Choose Client "; } ?></option>
                                            <?php
												$sql="SELECT cName FROM client";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$cName 		= $row['cName'];?>
                                                        <option value="<?php echo $cName; ?>"><?php echo $cName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon">Sender's Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Sender's Name "  name="sendersName" type="text" value="<?php echo $sendersName; ?>"  required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Receiver's Name <i class='fa fa-user fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Receiver's Name "  name="recieversName" type="text" value="<?php echo $recieversName; ?>"  required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Receiver's Email Address <i class='fa fa-envelope fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Receiver's Email Address "  name="recieversEmail" type="email" value="<?php echo $recieversEmail; ?>"  required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Receiver's Phone Number <i class='fa fa-phone fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Receiver's Phone Number "  name="recieversPhone" type="text" value="<?php echo $recieversPhone; ?>"  required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Terminating City <i class='fa fa-map-marker fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Terminating City "  name="terminatingCity" value="<?php echo $terminatingCity; ?>"  type="text" >
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Receiver's Address <i class='fa fa-home fa' style='color: red;'></i></span>
										<textarea name="recieversAddress" id="recieversAddress" placeholder="Enter Receiver's Address " class="form-control" required><?php echo $recieversAddress; ?></textarea>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Pickup Date (YYYY-MM-DD) <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Pickup Date (e.g: 2015-10-10) "  name="pickupDate" type="text" value="<?php echo $pickupDate; ?>"  required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Type of Consignment <i class='fa fa-code-fork fa' style='color: red;'></i> </span>
										<select class="form-control" name="typeofConsignment" id="typeofConsignment">
                  							<option value="<?php if (!empty($typeofConsignment)) echo $typeofConsignment; ?>"><?php if (!empty($typeofConsignment)) { echo $typeofConsignment; } else { echo "Choose Type of Consignment "; } ?></option>
                                            <option value="DOCUMENT" >Document</option>
                                      		<option value="PARCEL" >Parcel</option>
                                        </select>  
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Weight (KG) <i class='fa fa-balance-scale fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Weight "  name="weight" value="<?php echo $weight; ?>"  type="text" required>
									</div>
                                    
                                    <div class="form-group input-group">
									<span class="input-group-addon">Reference Number <i class='fa fa-ticket fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Reference Number "  name="refNumber" type="text" value="<?php echo $refNumber; ?>" >
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Quantity <i class='fa fa-cubes fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Quantity " value="<?php echo $quantity; ?>"   name="quantity" type="text" required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Booking Mode <i class='fa fa-money fa' style='color: red;'></i> </span>
										<select class="form-control" name="bookingMode" id="bookingMode">
                  							<option value="<?php if (!empty($bookingMode)) echo $bookingMode; ?>"><?php if (!empty($bookingMode)) { echo $bookingMode; } else { echo "Choose Booking Mode "; } ?></option>
                                            <option value="CREDIT" selected="selected">Credit</option>
                                      		<option value="CASH" >Cash</option>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Mode of Shipment <i class='fa fa-truck fa' style='color: red;'></i> </span>
										<select class="form-control" name="modeofShipment" id="modeofShipment">
                  							<option value="<?php if (!empty($bookingMode)) echo $bookingMode; ?>"><?php if (!empty($bookingMode)) { echo $bookingMode; } else { echo "Choose Mode of Shipment "; } ?></option>
                                            <option value="AIR" >Air</option>
                                            <option value="RAIL" >Rail</option>
                                            <option value="ROAD" >Road</option>
                                            <option value="SEA" >Ship</option>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Dispatch Time <i class='fa fa-clock-o fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Dispatch Time "  name="dispatchTime" type="text" value="<?php echo $dispatchTime; ?>"   required>
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Sending Office <i class='fa fa-university fa' style='color: red;'></i> </span>
										<select class="form-control" name="sendingOffice" id="sendingOffice">
                  							<option value="<?php if (!empty($sendingOffice)) echo $sendingOffice; ?>"><?php if (!empty($sendingOffice)) { echo $sendingOffice; } else { echo "Choose Sending Office "; } ?></option>
                                            <?php
												$sql="SELECT oName FROM office";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$oName 		= $row['oName'];?>
                                                        <option value="<?php echo $oName; ?>"><?php echo $oName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Destination Office <i class='fa fa-university fa' style='color: red;'></i> </span>
										<select class="form-control" name="destinatioOffice" id="destinatioOffice">
                  							<option value="<?php if (!empty($destinatioOffice)) echo $destinatioOffice; ?>"><?php if (!empty($destinatioOffice)) { echo $destinatioOffice; } else { echo "Choose Destination Office "; } ?></option>
                                            <?php
												$sql="SELECT oName FROM office";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$oName 		= $row['oName'];?>
                                                        <option value="<?php echo $oName; ?>"><?php echo $oName; ?></option>
												<?php	}
												} ?>
                                        </select>  
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Description <i class='fa fa-comment-o fa' style='color: red;'></i></span>
										<textarea name="description" id="description" placeholder="Enter Consignment Description " class="form-control" required><?php echo $description; ?></textarea>
									</div>
									
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Create Consignment " class="btn btn-lg btn-success btn-block" onclick="checkLength()">
								</fieldset>
							</form>
                            
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>When listing items, kindly seperate each with a comma (<b>,</b>). <br />Example: <i>My stengths are: 1. I am team worker, 2. I work with litle or no supervision, 3. I do what it takes to get the job done.</i></p>
                                    <p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>