<?php
// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
/**
 * Register.php
 * 
 * Displays the registration form if the user needs to sign-up,
 * or lets the user know, if he's already logged in, that he
 * can't register another name.
 */
include("incs/session.php");

$pagename = "Sign Up";
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>XL Tracking App : <?php echo $pagename; ?></title>
    
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="images/xl.png"/>

    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="css/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="font-awesome-4.1.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>
	
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
            	
                <div class="login-panel panel panel-default">
               		<div class="logHead"><img src="images/logo.png" alt="logo"></div>
                    <div class="panel-heading">
                        <h3 class="panel-title"> Please Fill With Accurate Data <font color="#af0000"><i>all fields are required</i></font></h3>
                    </div>
                    <div class="panel-body">
					<?php
                    /**
                     * The user has submitted the registration form and the
                     * results have been processed.
                     */
                    if(isset($_SESSION['regsuccess'])){
                       /* Registration was successful */
                       if($_SESSION['regsuccess']){
                          echo "<h3><font color='green'><i class='fa fa-flag fa' style='color: orange;'></i> Account Created Successfully </font></h3>";
                          echo "<p>Thank you <b>".$_SESSION['reguname']."</b>, account has been created, "
                              ."The staff has been sent a mail containing <b>Sign In<b> credentials.<br><a href='register.php' class='btn btn-lg btn-success btn-block'>Creat Another Account</a></p>";
							  echo "<a href='dashboard.php' class='btn btn-lg btn-success btn-block'>Back To Dashboard</a>";?>
						   <hr><h6 align="center"><font color="#023456">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<a href="login.php"><?php echo APP_VERSION; ?></a><font color="#048abc"> &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.esolutionsnig.com">eSolutions</a></i></font></h6>
<?php
                       }
                       /* Registration failed */
                       else{
                          echo "<h3><font color='red'><i class='fa fa-flag fa' style='color: red;'></i> Account Creation Failed </font></h3>";
                          echo "<p>We're sorry, but an error has occurred and the account registration for the username <b>".$_SESSION['reguname']."</b>, "
                              ."could not be completed.<br>Please try again at a later time. <em>If it pasist contact the web master using the report error button</em></p>";
							  echo "<a href='register.php' class='btn btn-lg btn-success btn-block'>Try Again</a>";
							  echo "<a href='dashboard.php' class='btn btn-lg btn-success btn-block'>Back To Dashboard</a>";
                       }
                       unset($_SESSION['regsuccess']);
                       unset($_SESSION['reguname']);
                    }
                    /**
                     * The user has not filled out the registration form yet.
                     * Below is the page with the sign-up form, the names
                     * of the input fields are important and should not
                     * be changed.
                     */
                    else{
                    
					
                    if($form->num_errors > 0){
                       echo "<font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font>";
                    }
                    ?>
                    <p><font color="#999999">Email address is the primary means of contact between the user and this application. Staff privacy is assured.</font></p>
                    <form action="process.php" method="POST">
                            <fieldset>
                                <div class="form-group input-group">
                                	<span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Enter Your Prefered Username" type="text" name="user" maxlength="30" value="<?php echo $form->value("user"); ?>"><?php echo $form->error("user"); ?>
                                </div>
                                <div class="form-group input-group">
                                    <span class="input-group-addon">Password <i class='fa fa-key fa' style='color: red;'></i> </span>
                                    <input class="form-control" placeholder="Enter Your Prefered Password" type="password" name="pass" maxlength="30" value="<?php echo $form->value("pass"); ?>"><?php echo $form->error("pass"); ?>
                                </div>
                                <div class="form-group input-group">
                                    <span class="input-group-addon">&nbsp;&nbsp; &nbsp;&nbsp; Email <i class='fa fa-envelope fa' style='color: red;'></i></span>
                                    <input class="form-control" placeholder="Enter Your Officia Email (e.g: e.ibeh@xlafricagroup.com)" type="text" name="email" maxlength="50" value="<?php echo $form->value("email"); ?>"><?php echo $form->error("email"); ?>
                                </div>
                                <input type="hidden" name="subjoin" value="1">
                                <input type="submit" value=" Create My Staff Account" class="btn btn-lg btn-success btn-block">
                                <hr>
                                <font color="#636363"></font><a href="dashboard.php"> &lArr; Back To Dashboard <i class='fa fa-dashboard fa-lg' style='color: red;'></i></a>
                            </fieldset>
                        </form>
                        <hr><h6 align="center"><font color="#023456">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<a href="login.php"><?php echo APP_VERSION; ?></a><font color="#048abc"> &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.esolutionsnig.com">eSolutions</a></i></font></h6>
                        <?php } ?>
                    
                    </div>
                </div>
            </div>
        </div>
    </div>

	<script type="text/javascript">
       $('.datepicker').datepicker()
    </script>
    
    <!-- jQuery -->
    <script src="js/jquery.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="js/plugins/metisMenu/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="js/sb-admin-2.js"></script>
    
    

</body>

</html>