<?php

include("../incs/session.php");
require '../incs/functions.php';

// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
   $username = $session->username;
   date_default_timezone_set("Africa/Lagos");

?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="muni">
 
    <title>XL Courier Tracker: Invoice</title>

    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Droid+Sans:400,700|Noto+Serif:400,700">  	
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="../images/xl.png"/>
    
    <!-- Bootstrap core CSS -->
    <link href="css/jquery-ui.min.css" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/sticky-footer-navbar.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href=""><img src="../images/logo.png" alt="logo"></a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"> <a href="#"><i class="fa fa-file-pdf-o"></i>Invoice</a> </li>
            <li><a href="../allCharge.php"> <i class="fa fa-money"></i> Account Management </a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <!-- Begin page content -->
    <div class="container content">
    <?php
		//  Fetch region record
		if(isset($_GET['cName']))
		{
			$query = $_GET['cName'];
			
			// Split Qurty
			//$cName . ",". $totalCash . ",". $vat. ",". $totalCas;
			$splitter		= $query;
			$splitter		= explode(",", $splitter);
			$cName			= $splitter[0];
			$clientName 	= strtoupper($cName);
			$totalAmount	= number_format($splitter[1], 2);
			$vat			= number_format($splitter[2], 2);
			$amount			= number_format($splitter[3], 2);
			
			// Fetch client info
			// cName 	cPerson 	cPhone 	cFax 	cMail 	cChargeType 	cRelStaff 	address 	createdBy 	last_updated 
			$sql="SELECT * FROM client WHERE cName = '$cName'";
            $retvall = mysql_query( $sql, $conn );
            if(mysql_num_rows($retvall) > 0){
				while($row = mysql_fetch_array($retvall)){
					$cName		= $row['cName'];
					$cMail		= $row['cMail'];
					$address	= $row['address'];
				}
           }
		   
		   // Fetch Charge Info
		   $sql="SELECT * FROM charge WHERE cName = '$query'";
            $retvall = mysql_query( $sql, $conn );
            if(mysql_num_rows($retvall) > 0){
				while($row = mysql_fetch_array($retvall)){
					$cName		= $row['cName'];
					$cMail		= $row['cMail'];
					$address	= $row['address'];
				}
           } 
	?>
    	<div class='row'>
    		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
    			<h1 class="text-center title"><font color="#999999">Invoice for</font> <?php echo $clientName; ?></h1>
    		</div>
    	</div>
      	
      	<h2>Client Information</h2>
      	<div class='row'>
      		<div class='col-xs-12 col-sm-4 col-md-4 col-lg-4'>
      			<form action="genInvoive.php" method="POST">
                <div class="form-group">
                	<P>NAME:</P>
					<input type="text" name="cName" class="form-control" id="cName" value="<?php echo $cName; ?>" readonly>
				</div>
				<div class="form-group">
                	<P>CONTACT ADDRESS:</P>
					<textarea class="form-control" name="address" rows='3' id="address" readonly><?php echo $address; ?></textarea>
				</div>
				
      		</div>
      		<div class='col-xs-12 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 col-sm-4 col-md-4 col-lg-4'>
      			<div class="form-group">
                	<p>DATE: </p>
					<input type="date" class="form-control" name="date" id="date"  value="<?php echo $date = (Date("l F d, Y")); ?>">
				</div>
                <div class="form-group">
					<P>INVOICE NUMBER:</P>
                    <input type="text" class="form-control" name="invoiceNo" id="invoiceNo" placeholder="Enter Invoice No. e.g: XLMS/CNM/MM/3DT">
				</div>
				<div class="input-group">
                    <div class="input-group-addon"><img src="../images/naira.png" alt="N"></div>
                        <input type="text" class="form-control amountDue" id="totalAmount" name="totalAmount" placeholder="Amount Due" value="<?php echo $totalAmount; ?>" readonly >
                    </div>
      		</div>
      	</div>
      	<h2>&nbsp;</h2>
      	<div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<table class="table table-bordered table-hover">
					<thead>
						<tr>
							<th width="60%">DESCRIPTION</th>
							<th width="5%">RATE</th>
							<th width="5%">QUANTITY</th>
							<th width="30%">TOTAL</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><textarea class="form-control" rows='3' id="description" placeholder="Enter description here" ></textarea></td>
							<td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>
                            <div class="input-group">
                                <div class="input-group-addon"><img src="../images/naira.png" alt="N"></div>
                                <input type="text" class="form-control" name="totalBeforetax" id="totalBeforetax" placeholder="Total" value="<?php echo $amount; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="3">&nbsp;</td>
                            <td>
                            <div class="form-group input-group">
                                <span class="input-group-addon">Subtotal &nbsp; <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="subTotal" name="subTotal" placeholder="Subtotal" value="<?php echo $amount; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon"> &nbsp;&nbsp;&nbsp;5% VAT <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="vat" name="vat" placeholder="VAT" value="<?php echo $vat; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Total</b> <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="total" name="total" placeholder="Total" value="<?php echo $totalAmount; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="4">Pay Into This Account Number: <input type="text" name="bank" id="bank" class="form-control" placeholder="Enter Bank Details Here. example: UBA A/C NO 1005043465"></td>
						</tr>
					</tbody>
				</table>
                <hr>
                	<p>PAYMENT TERMS: PLEASE CREDIT ACCOUNT IMMEDIATELY</p>
                <hr>
      		</div>
      	</div>
      	<div class='row'>
      		
      	</div>
      	<h2>ATTENTION: </h2>
      	<div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<div class="form-group">
					<textarea class="form-control" rows='5' name="notes" id="notes" placeholder="Your Notes"></textarea>
				</div>
      		</div>
      	</div>
        		<input type="submit" value=" Process Invoice " class="btn btn-lg btn-success btn-block">
             </fieldset>
        </form>		
        <?php 
			} else {
				echo "Wrong Client";
			}
		?>
    </div>
	<h2>&nbsp;</h2>
    <footer class="footer">
      <div class="container">
        <h6 align="center"><font color="#cecece">Copyright &copy; <?php auto_copyright('2013');  // 2013 - current year ?> All Rights Reserved - XL Express &amp; Logistics Ltd</font> <br>
<?php echo APP_VERSION; ?>  &nbsp;&nbsp;&nbsp; <i>Powered by <a href="http://www.esolutionsnig.com">eSolutions</a></i> </h6>
      </div>
    </footer>


    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/bootstrap-datepicker.js"></script>
    <script src="js/auto.js"></script>
    
    <!-- ================================================== JSPDF ====================================== -->
    
    <!-- Scripts down here -->
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
		<script src="http://html2canvas.hertzen.com/build/html2canvas.js"></script>

		<!-- Code editor -->

		<script src="https://cdn.jsdelivr.net/ace/1.1.01/noconflict/ace.js" type="text/javascript" charset="utf-8"></script>

		<!-- Scripts in development mode -->
		<script type="text/javascript" src="dist/jspdf.min.js"></script>
		<script type="text/javascript" src="jspdf.js"></script>
		<script type="text/javascript" src="./libs/FileSaver.js/FileSaver.js"></script>
		<script type="text/javascript" src="./libs/Blob.js/Blob.js"></script>
		<script type="text/javascript" src="./libs/Blob.js/BlobBuilder.js"></script>

		<script type="text/javascript" src="./libs/deflate.js"></script>
		<script type="text/javascript" src="./libs/adler32cs.js/adler32cs.js"></script>

		<script type="text/javascript" src="./plugins/addimage.js"></script>
		<script type="text/javascript" src="./plugins/from_html.js"></script>
		<script type="text/javascript" src="./plugins/ie_below_9_shim.js"></script>
		<script type="text/javascript" src="./plugins/svg.js"></script>
		<script type="text/javascript" src="./plugins/split_text_to_size.js"></script>
		<script type="text/javascript" src="./plugins/standard_fonts_metrics.js"></script>
        
        <script>
			var doc = new jsPDF();          
			var elementHandler = {
			  '#ignorePDF': function (element, renderer) {
				return true;
			  }
			};
			var source = window.document.getElementsByTagName("body")[0];
			doc.fromHTML(
				source,
				15,
				15,
				{
				  'width': 180,'elementHandlers': elementHandler
				});
			
			doc.output("dataurlnewwindow");
		</script>
<!-- =============================================== END JSPDF ============================================ -->
  </body>
</html>