<?php
/*******************************************###############################################**************************************
** Application Developed By: Ernest Ibeh (www.esolutionsnig.com		e.ibeh@esolutionsnig.com		+234 802 068 9069 )         *
**     																															*
********************************************###############################################*************************************/

include("incs/session.php");
require 'incs/functions.php';

$pagename = "View Client Transaction" ;

require_once 'header.php';

if($session->isAc()){
?>

        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-archive fa'></i> Account Management </h1>
                        <p><a href="dashboard.php">Home</a>  &rarr; <a href="transactions.php">Transactions &amp; Invoice</a>  &rarr; <?php echo $pagename; ?> </p>
                        <hr />
                    </div>
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-primary">
                        <?php
						// Posted from transacts
						if( $_POST )
						{
							// Clean up data then Assign the input values to variables for easy reference
							$cName	 = filter_var($_POST['cName'], FILTER_SANITIZE_STRING);
							$titl	 = filter_var($_POST['title'], FILTER_SANITIZE_STRING);
							// Split into title and dateRange
							$pieces = explode(",", $titl);
							$title = $pieces[0]; 
							$dateRange = $pieces[1];
							// Split dateRange into from_date and to_date
							$piecesDate = explode(" to ", $dateRange);
							$from_date = $piecesDate[0];
							$to_date = $piecesDate[1];
							
							$date1  = date('l jS \of F Y', strtotime($from_date));
							$date2  = date('l jS \of F Y', strtotime($to_date));
							
							$num = 1;
							$results = mysql_query("SELECT * FROM consignment WHERE cName = '$cName' AND last_updated BETWEEN '" . $from_date . "' AND  '" . $to_date . "' ORDER BY id DESC");
							
							if (mysql_num_rows($results) != 0) {
						
						?>
                        <div class="panel-heading">
                        	<h5>The table below shows all <b><?php echo $cName; ?></b>'s transaction between the period of <b><?php echo $date1. '</b> and <b>'.$date2;?></b> 
                            </h5>
                        </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body">
                        <table class='table table-striped table-bordered table-hover' id='dataTables-example' width="100%">
                             <thead>
                             	<tr>
                                    <th width="5%">S/N</th>
                                    <th width="10%">DATE</th>
                                    <th width="10%">AWB NO</th>
                                    <th width="15%">ORIGIN</th>
                                    <th width="15%">DESTINATION</th>
                                    <th width="5%">WEIGHT(KG)</th>
                                    <th width="20%">RECIEVER'S NAME</th>
                                  </tr>
                               	</thead>
                          		<tbody>
                                
                                	<?php
                                    while ($row = mysql_fetch_array($results)) {
								  	?>
                                  	<tr class='odd gradeX'>
                                     <td><?php echo $num++; ?></td>
                                     <td><?php echo $row['last_updated']; ?></td>
                                     <td><?php echo $row['awbNumber']; ?></td>
                                     <td><?php echo $row['sendingOffice']; ?></td>
                                     <td><?php echo $row['destinatioOffice']; ?></td>
                                     <td><?php echo $row['weight']; ?></td>
                                     <td><?php echo $row['recieversName']; ?></td>
                                    
                                 </tr>
                                        
								
                                <?php
								
                            }
                         
                        } else {
                             echo "No record found.";
                        }
                        ?>
                        	</tbody>
                       </table>
                        <?php
							// Fetch charge from charge table
							$q = "SELECT * FROM charge WHERE cName = '$cName'";
							$res = mysql_query( $q, $conn );
							if(mysql_num_rows($res) > 0){
						?>
                        <table class='table table-striped table-bordered table-hover' width="100%">
                             <thead>
                            	<tr bgcolor="#7c0101">
                                	<th colspan="2" align="center"><font color="#fff">Total Charges</font></th>
                               	</tr>
                            </thead>
                          	<tbody>
                                
                                <?php
									while ($row = mysql_fetch_array($res)) {
										$noConsignments = $row['noConsignments'];
										$amountCharged 	= $row['amountCharged'];
								?>
                                  	<tr class='odd gradeX'>
                                         <td align="right">Total Consignments: <strong><?php echo number_format($noConsignments, 0); ?></strong></td>
                                         <td><?php echo number_format($amountCharged, 2); ?></td>
                                     </tr>
                                <?php
								$vat = 0.05 * $amountCharged;
								$totalCash = $vat + $amountCharged;
								?>
                                    <tr>
                                   		<td align="right"><b>5% VAT</b>:</td>
                                        <td><b><font color="#000033"><?php echo "N ". number_format($vat, 2); ?></font></b></td>
                                    </tr>
                                    <tr>
                                   		<td align="right"><b>Total</b>:</td>
                                        <td><b><font color="#000033"><?php echo "N ". number_format($totalCash, 2); ?></font></b></td>
                                    </tr>
                                </tbody>
                           </table>
                                    
							<?php 
									}
								} else {
									 echo "No record found.";
								}
							?>
                            <a href="invoice/index.php?cName=<?php echo $cName . ",". $totalCash . ",". $vat. ",". $amountCharged; ?>" class="btn btn-success" target="_blank"><i class="fa fa-file-pdf-o fa-fw" style="color: #af0000"></i> Generate Invoice for <?php echo $cName; ?> <i class='fa fa-arrow-right fa'></i> </a>
							<?php } ?>
 							</div>
                            <!-- /.table-responsive -->
                            
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>

        </div>
        <!-- /#page-wrapper -->
        
        <?php }
			else{
		?>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">Security Alert</h1>
                    </div>
                    <!-- /.col-lg-12 -->
                    <div class="panel-heading">
                        <h4 class="panel-title"><font color="#FF0000">Access Denied</font></h4>
                    </div>
                    <div class="col-lg-8">
                        <div class="panel-body">
                           <p> You are not allowed to view this, kindly navigate back to <a href="main.php"> Your Dashboard Here </a>. Or  <a href="mailto:e.ibeh@xlafricagroup.com?cc=a.peter@xlafricagroup.com&bcc=h.okore@xlafricagroup.com
&amp;subject=E%-%20Appraisal%20Error%20&amp;body=The%20body%20of%20the%20email"><i class="fa fa-info fa-fw" style="color: red;"></i> Contact Administrator Here</a></p> 
                        </div>                        

                      </div>  
                        
                        
                        </div>
                  </div>  
                    
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

<?php
	}

// Insert the page footer
  require_once('footer.php');
?>