<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "View Consignment Record" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                       <h1 class="page-header"><i class='fa fa-archive fa'></i> Consignment Management </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="allConsignments.php"> Manage Consignment </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								//$req_sub = $database->getSub($req_user);
								$req_user_info = $database->getUserInfo($req_user);
								
								if($session->logged_in){
                                   
                                   if($session->isAdmin() || $session->isMd() || $session->isOff() || $session->isAc() || $session->isPerf() || $session->isTrack() || $session->isDisp()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-12">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Consignment Detail </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                               		if(isset($_GET['id']))
										{
											$query = $_GET['id'];
											$sql="SELECT * FROM consignment WHERE awbNumber ='$query' ";
											$retvall = mysql_query( $sql, $conn );
											if(mysql_num_rows($retvall) > 0){
												while($row = mysql_fetch_array($retvall)){
													$awbNumber 			= $row['awbNumber'];
													$cName	 			= $row['cName']; 
													$sendersName		= $row['sendersName'];
													$recieversName 		= $row['recieversName']; 
													$recieversEmail		= $row['recieversEmail'];
													$recieversPhone 	= $row['recieversPhone'];
													$terminatingCity 	= $row['terminatingCity'];
													$recieversAddress 	= $row['recieversAddress']; 
													$pickupDate			= $row['pickupDate'];
													$typeofConsignment 	= $row['typeofConsignment']; 
													$weight 			= $row['weight'];
													$refNumber	 		= $row['refNumber']; 
													$quantity			= $row['quantity'];
													$bookingMode 		= $row['bookingMode']; 
													$modeofShipment 	= $row['modeofShipment'];
													$dispatchTime 		= $row['dispatchTime'];
													$sendingOffice 		= $row['sendingOffice']; 
													$destinatioOffice	= $row['destinatioOffice'];
													$description		= $row['description'];
													$id 				= $row['id']; 
												}
												
									?> 
									<table width="100%" class='table table-striped table-bordered table-hover' id='dataTables-example'>
                                    	<thead>
                                        	<tr>
                                            	<th width="30%" align="right">Variable</th>
                                                <th width="70%">Value</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        	<tr>
                                            	<td align="right">Airway Bill Number: </td>
                                                <td><b><?php echo $awbNumber; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Client Name: </td>
                                                <td><b><?php echo $cName; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Sender's Name: </td>
                                                <td><b><?php echo $sendersName; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Receiver's Name: </td>
                                                <td><b><?php echo $recieversName; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Receiver's Email Address: </td>
                                                <td><b><?php echo $recieversEmail; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Receiver's Phone Number</td>
                                                <td><b><?php echo $recieversPhone; ?></b></td>
                                            </tr>
                                            
                                            <tr>
                                            	<td align="right">Terminating City: </td>
                                                <td><b><?php echo $terminatingCity; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Receiver's Address: </td>
                                                <td><b><?php echo $recieversAddress; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Pickup Date: </td>
                                                <td><b><?php echo $pickupDate; ?></b></td>
                                            </tr><tr>
                                            	<td align="right">Type of Consignment: </td>
                                                <td><b><?php echo $typeofConsignment; ?></b></td>
                                            </tr><tr>
                                            	<td align="right">Weight: </td>
                                                <td><b><?php echo $weight; ?></b></td>
                                            </tr>
                                            
                                            <tr>
                                            	<td align="right">Reference Number: </td>
                                                <td><b><?php echo $refNumber; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Quantity: </td>
                                                <td><b><?php echo $quantity; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Booking Mode: </td>
                                                <td><b><?php echo $bookingMode; ?></b></td>
                                            </tr><tr>
                                            	<td align="right">Mode of Shipment: </td>
                                                <td><b><?php echo $modeofShipment; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Dispatch Time: </td>
                                                <td><b><?php echo $dispatchTime; ?></b></td>
                                            </tr>
                                            
                                            <tr>
                                            	<td align="right">Sending Office: </td>
                                                <td><b><?php echo $sendingOffice; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Destination Office: </td>
                                                <td><b><?php echo $destinatioOffice; ?></b></td>
                                            </tr>
                                            <tr>
                                            	<td align="right">Description: </td>
                                                <td><b><?php echo $description; ?></b></td>
                                            </tr>
                                        </tbody>
                                    </table>
                           			<?php
							
											}
											else {
												echo "No record found"; 
											}
										}	
										?>
								</div>
							</div>
						</div>
                        
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>